#!/bin/sh

usage () {
    echo -e "Usage: $0 file"
    exit 1
}


[ "$1" = "" ] && usage
file="$1"


if [ -e $file ]; then
echo -e "'$file' already exists."
echo -n -e "Do you want to continue (this will erase its actual content) ? [No]:"
read continue
[ "$continue" != "yes" -a "$continue" != "y" -a "$continue" != "Yes" -a "$continue" != "Y" ] && exit 1
fi


cat > $file << EOF
/*
 * 
 *
 * This file is part of the `basename $(pwd)` library.
 *
 * Copyright (c) `date "+%Y"` Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


EOF
