/*
 * BurgnerIsofsDirectoryDotRecord - BurgnerIsofsDirectoryDotRecord object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_DIRECTORY_DOT_RECORD_H__
#define __BURGNER_ISOFS_DIRECTORY_DOT_RECORD_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-directory-record.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD		(burgner_isofs_directory_dot_record_get_type ())
#define BURGNER_ISOFS_DIRECTORY_DOT_RECORD(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD, BurgnerIsofsDirectoryDotRecord))
#define BURGNER_ISOFS_DIRECTORY_DOT_RECORD_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD, BurgnerIsofsDirectoryDotRecordClass))
#define BURGNER_IS_ISOFS_DIRECTORY_DOT_RECORD(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD))
#define BURGNER_IS_ISOFS_DIRECTORY_DOT_RECORD_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD))
#define BURGNER_ISOFS_DIRECTORY_DOT_RECORD_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_DIRECTORY_DOT_RECORD, BurgnerIsofsDirectoryDotRecordClass))


typedef struct _BurgnerIsofsDirectoryDotRecord BurgnerIsofsDirectoryDotRecord;
typedef struct _BurgnerIsofsDirectoryDotRecordClass BurgnerIsofsDirectoryDotRecordClass;

struct _BurgnerIsofsDirectoryDotRecord {
	BurgnerIsofsDirectoryRecord __parent;

	BurgnerIsofsItem *dir;

/*	BurgnerIsofsItem *nm;
	BurgnerIsofsItem *ce;*/

	GSList *suf_ent;
	GSList *ent;

	guint with_rrip : 1;
};

struct _BurgnerIsofsDirectoryDotRecordClass {
	BurgnerIsofsDirectoryRecordClass __parent_class;

};


GType burgner_isofs_directory_dot_record_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_directory_dot_record_error_quark (void);

#define BURGNER_ISOFS_DIRECTORY_DOT_RECORD_ERROR		(burgner_isofs_directory_dot_record_error_quark ())


BurgnerIsofsItem *burgner_isofs_directory_dot_record_new (void);

void burgner_isofs_directory_dot_record_append_suf_ents_valist (BurgnerIsofsDirectoryDotRecord *rec,
								BurgnerIsofsItem *first,
								va_list args);
void burgner_isofs_directory_dot_record_append_suf_ents (BurgnerIsofsDirectoryDotRecord *rec,
							 BurgnerIsofsItem *first,
							 ...);

G_END_DECLS

#endif /* __BURGNER_ISOFS_DIRECTORY_DOT_RECORD_H__ */

