/*
 * BurgnerIsofsEltoritoBootCatalogEntry - BurgnerIsofsEltoritoBootCatalogEntry object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib-object.h>
#include "burgner-isofs-item-utils.h"
#include "burgner-isofs-eltorito-boot-catalog-entry.h"


static BurgnerIsofsItemClass *parent_class = NULL;

static void
burgner_isofs_eltorito_boot_catalog_entry_finalize (GObject *object)
{
	if (G_OBJECT_CLASS (parent_class)->finalize)
		G_OBJECT_CLASS (parent_class)->finalize (object);
}

static void
_biebce_get_size (BurgnerIsofsItem *item,
		  guint32 *n_sectors,
		  guint32 *n_bytes)
{
	if (n_sectors)
		*n_sectors = 0;
	if (n_bytes)
		*n_bytes = 32;
}

static void
burgner_isofs_eltorito_boot_catalog_entry_class_init (BurgnerIsofsEltoritoBootCatalogEntryClass *klass)
{
	GObjectClass *object_class;
	BurgnerIsofsItemClass *item_class;

	object_class = (GObjectClass *) klass;
	object_class->finalize = burgner_isofs_eltorito_boot_catalog_entry_finalize;

	item_class = (BurgnerIsofsItemClass *) klass;
	item_class->get_size = _biebce_get_size;
	item_class->get_flags = burgner_isofs_item_utils_get_flags_none;

	parent_class = g_type_class_peek_parent (klass);
}

static void
burgner_isofs_eltorito_boot_catalog_entry_init (BurgnerIsofsEltoritoBootCatalogEntry *self)
{
}

GType
burgner_isofs_eltorito_boot_catalog_entry_get_type (void)
{
	static GType type = 0;

	if (type == 0) {
		static GTypeInfo info = {
			sizeof (BurgnerIsofsEltoritoBootCatalogEntryClass),
			NULL,
			NULL,
			(GClassInitFunc) burgner_isofs_eltorito_boot_catalog_entry_class_init,
			NULL,
			NULL,
			sizeof (BurgnerIsofsEltoritoBootCatalogEntry),
			0,
			(GInstanceInitFunc) burgner_isofs_eltorito_boot_catalog_entry_init,
		};

		type = g_type_register_static (BURGNER_TYPE_ISOFS_ITEM, "BurgnerIsofsEltoritoBootCatalogEntry", &info, G_TYPE_FLAG_ABSTRACT);
	}

	return type;
}

BurgnerIsofsItem *
burgner_isofs_eltorito_boot_catalog_entry_new (void)
{
	BurgnerIsofsEltoritoBootCatalogEntry *self;

	self = g_object_new (BURGNER_TYPE_ISOFS_ELTORITO_BOOT_CATALOG_ENTRY, NULL);


	return BURGNER_ISOFS_ITEM (self);
}


GQuark
burgner_isofs_eltorito_boot_catalog_entry_error_quark (void)
{
	return g_quark_from_string ("BurgnerIsofsEltoritoBootCatalogEntry");
}

