/*
 * 
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_H__
#define __BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_ERROR (burgner_isofs_eltorito_read_system_type_error_quark ())
GQuark burgner_isofs_eltorito_read_system_type_error_quark (void);

typedef enum {
	BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_ERROR_INVALID_MBR,
	BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_ERROR_SEVERAL_PARTITIONS,
	BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE_ERROR_NO_PARTITIONS
} BurgnerIsofsEltoritoReadSystemTypeError;

#define BURGNER_ISOFS_ELTORITO_MBR_SIZE	512
gboolean burgner_isofs_eltorito_read_system_type
		(guchar *mbr, guchar *system_type, GError **error);

G_END_DECLS

#endif /* __BURGNER_ISOFS_ELTORITO_READ_SYSTEM_TYPE */

