/*
 * BurgnerIsofs Eltorito Utils
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_ELTORITO_UTILS__
#define __BURGNER_ISOFS_ELTORITO_UTILS__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-utils.h>

G_BEGIN_DECLS

#define burgner_isofs_eltorito_set_byte(p,v)	burgner_isofs_set_711(p,v)
#define burgner_isofs_eltorito_set_word(p,v)	burgner_isofs_set_721(p,v)
#define burgner_isofs_eltorito_set_d_word(p,v)	burgner_isofs_set_731(p,v)



#define BURGNER_TYPE_ISOFS_ELTORITO_MEDIA_TYPE		(burgner_isofs_eltorito_media_type_get_type ())
#define BURGNER_TYPE_ISOFS_ELTORITO_PLATFORM_ID		(burgner_isofs_eltorito_platform_id_get_type ())


typedef enum {
	BURGNER_ISOFS_ELTORITO_MEDIA_TYPE_NO_EMULATION = 0,
	BURGNER_ISOFS_ELTORITO_MEDIA_TYPE_1_2_MEG_DISKETTE,
	BURGNER_ISOFS_ELTORITO_MEDIA_TYPE_1_44_MEG_DISKETTE,
	BURGNER_ISOFS_ELTORITO_MEDIA_TYPE_2_88_MEG_DISKETTE,
	BURGNER_ISOFS_ELTORITO_MEDIA_TYPE_HARD_DISK
} BurgnerIsofsEltoritoMediaType;

typedef enum {
	BURGNER_ISOFS_ELTORITO_PLATFORM_ID_80x86 = 0,
	BURGNER_ISOFS_ELTORITO_PLATFORM_ID_POWER_PC,
	BURGNER_ISOFS_ELTORITO_PLATFORM_ID_MAC
} BurgnerIsofsEltoritoPlatformId;


GType burgner_isofs_eltorito_media_type_get_type (void) G_GNUC_CONST;
GType burgner_isofs_eltorito_platform_id_get_type (void) G_GNUC_CONST;

const gchar *burgner_isofs_eltorito_media_type_to_string (BurgnerIsofsEltoritoMediaType t);
const gchar *burgner_isofs_eltorito_platform_id_to_string (BurgnerIsofsEltoritoPlatformId p);

G_END_DECLS

#endif /* __BURGNER_ISOFS_ELTORITO_UTILS_H__ */

