/*
 * BurgnerIsofsExtent - BurgnerIsofsExtent iface
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_EXTENT_H__
#define __BURGNER_ISOFS_EXTENT_H__

#include <glib-object.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_EXTENT		(burgner_isofs_extent_get_type ())
#define BURGNER_IS_ISOFS_EXTENT(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_EXTENT))
#define BURGNER_ISOFS_EXTENT(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_EXTENT, BurgnerIsofsExtent))
#define BURGNER_ISOFS_EXTENT_GET_IFACE(o)	(G_TYPE_INSTANCE_GET_INTERFACE ((o), BURGNER_TYPE_ISOFS_EXTENT, BurgnerIsofsExtentIface))


typedef struct _BurgnerIsofsExtent BurgnerIsofsExtent;
typedef struct _BurgnerIsofsExtentIface BurgnerIsofsExtentIface;

struct _BurgnerIsofsExtentIface {
	GTypeInterface __parent;

	guint32 (* get_size)(BurgnerIsofsExtent *extent);
#ifdef G_HAVE_GINT64
#define BURGNER_ISOFS_EXTENT_GET_SIZE64
	guint64 (* get_size64)(BurgnerIsofsExtent *extent);
#endif
};


GType burgner_isofs_extent_get_type (void) G_GNUC_CONST;

guint32 burgner_isofs_extent_get_size (BurgnerIsofsExtent *extent);
#ifdef G_HAVE_GINT64
guint64 burgner_isofs_extent_get_size64 (BurgnerIsofsExtent *extent);
#endif


G_END_DECLS

#endif /* __BURGNER_ISOFS_EXTENT_H__ */

