/*
 * BurgnerIsofsFile Buffer
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_FILE_BUFFER_H__
#define __BURGNER_ISOFS_FILE_BUFFER_H__

#include <glib.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS

#define BURGNER_ISOFS_FILE_BUFFER_SIZE		20971252

void burgner_isofs_file_buffer_ref (void);
void burgner_isofs_file_buffer_unref (void);

gboolean burgner_isofs_file_buffer_is_locked (void);
gpointer burgner_isofs_file_buffer_lock (BurgnerIsofsItem *item);
void burgner_isofs_file_buffer_unlock (BurgnerIsofsItem *item);

G_END_DECLS

#endif /* __BURGNER_ISOFS_FILE_BUFFER_H__ */
