/*
 * 
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_HD_IMPL_H__
#define __BURGNER_ISOFS_HD_IMPL_H__

#include <glib.h>

G_BEGIN_DECLS

#define _BURGNER_ISOFS_HD_IMPL_PARTITION_UNUSED	(0)
#define _BURGNER_ISOFS_HD_IMPL_PARTITION_ACTIVE	(0x80)

typedef struct {
	guchar boot_indicator;

	guchar start_head;
	guchar start_sector;
	guchar start_cylinder;

	guchar type;

	guchar end_head;
	guchar end_sector;
	guchar end_cylinder;

	guchar start_sect[4];
	guchar size[4];
} __attribute__((packed)) _BurgnerIsofsHdImplPartition;

typedef struct {
	guchar offset[0x1be];
	_BurgnerIsofsHdImplPartition partitions[4];
	guchar magic[2];
} __attribute__((packed)) _BurgnerIsofsHdImplMbr;


#define _BURGNER_ISOFS_HD_IMPL_MSDOS_MAGIC_0	(0x55)
#define _BURGNER_ISOFS_HD_IMPL_MSDOS_MAGIC_1	(0xaa)


G_END_DECLS

#endif /* __BURGNER_ISOFS_HD_IMPL_H__ */

