/*
 * 
 *
 * This file is part of the libburgnerisofs library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_IDENTIFIER_H__
#define __BURGNER_ISOFS_IDENTIFIER_H__

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
	BURGNER_ISOFS_IDENTIFIER_OPTIONS_NONE = 0,
	BURGNER_ISOFS_IDENTIFIER_RELAX_CHARACTER_SET = 1,
	BURGNER_ISOFS_IDENTIFIER_ALLOW_MULTIDOT = 1 << 1,
	BURGNER_ISOFS_IDENTIFIER_ALLOW_LOWER_CASE = 1 << 2,
	BURGNER_ISOFS_IDENTIFIER_ALLOW_LONG_NAMES = 1 << 3,
	BURGNER_ISOFS_IDENTIFIER_ALLOW_LONG_EXTENSIONS = 1 << 4,
	BURGNER_ISOFS_IDENTIFIER_ALLOW_NO_EXTENSION = 1 << 5,
	BURGNER_ISOFS_IDENTIFIER_UNIQUE = 1 << 6
} BurgnerIsofsIdentifierOptions;

gchar *burgner_isofs_file_identifier_from_name (const gchar *name, BurgnerIsofsIdentifierOptions options);
gchar *burgner_isofs_directory_identifier_from_name (const gchar *name, BurgnerIsofsIdentifierOptions options);

G_END_DECLS

#endif /* __BURGNER_ISOFS_IDENTIFIER_H__ */

