/*
 * BurgnerIsofsItemGList
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_ITEM_G_LIST_H__
#define __BURGNER_ISOFS_ITEM_G_LIST_H__

#include <glib.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS


GSList *burgner_isofs_item_g_slist_ref (GSList *slist);
GSList *burgner_isofs_item_g_list_to_slist_ref (GList *list);
GList *burgner_isofs_item_g_list_ref (GList *list);
GList *burgner_isofs_item_g_slist_to_list_ref (GSList *slist);

void burgner_isofs_item_g_list_unref (GList *list);
void burgner_isofs_item_g_slist_unref (GSList *slist);


G_END_DECLS

#endif /* __BURGNER_ISOFS_ITEM_G_LIST_H__ */

