/*
 * 
 *
 * This file is part of the libburgnerisofs library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_ITEM_LIST_H__
#define __BURGNER_ISOFS_ITEM_LIST_H__

#include <glib.h>

G_BEGIN_DECLS

GList *burgner_isofs_item_list_extract_best_interval (GList **list,
						      GList **sorted_list,
						      guint32 interval_size,
						      guint32 *extracted_interval_size,
						      gboolean sector_round);
GList *burgner_isofs_item_list_arrange_sector_aligned (GList *list,
						       guint32 start_addr);
GList *burgner_isofs_item_list_arrange (GList *list,
					guint32 start_addr,
					gboolean optimize);

G_END_DECLS

#endif /* __BURGNER_ISOFS_ITEM_LIST_H__ */

