/*
 * BurgnerIsofs List Iteration
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_ISOFS_LIST_ITERATION_H__
#define __BURGNER_ISOFS_LIST_ITERATION_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS

typedef gboolean (* BurgnerIsofsListIterationFunc)(GList *list,
						   GList *actual,
						   BurgnerIsofsItem *item,
						   BurgnerIsofsItemFlags flags,
						   guint32 padding,
						   guint32 s_c, guint32 b_o,
						   guint32 n_s, guint32 n_b,
						   guint32 a_s, guint32 a_b,
						   gpointer user_data);

GList *burgner_isofs_list_iteration_foreach (GList *list,
					     guint32 *s_c,
					     guint32 *b_o,
					     BurgnerIsofsListIterationFunc func,
					     gpointer user_data);

G_END_DECLS

#endif /* __BURGNER_ISOFS_LIST_ITERATION_H__ */

