/*
 * BurgnerIsofsListMaker - BurgnerIsofsListMaker object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_LIST_MAKER_H__
#define __BURGNER_ISOFS_LIST_MAKER_H__

#include <glib.h>
#include <libburgnerisofs/burgner-isofs-tree-builder.h>

G_BEGIN_DECLS


typedef struct _BurgnerIsofsListMaker BurgnerIsofsListMaker;

struct _BurgnerIsofsListMaker {
	GHashTable *name_to_builder;
	GList *builders;

	guint refcount;
};



BurgnerIsofsListMaker *burgner_isofs_list_maker_new (void);

BurgnerIsofsListMaker *burgner_isofs_list_maker_ref (BurgnerIsofsListMaker *self);
void burgner_isofs_list_maker_unref (BurgnerIsofsListMaker *self);

void burgner_isofs_list_maker_free (BurgnerIsofsListMaker *self);


void burgner_isofs_list_maker_add_builder (BurgnerIsofsListMaker *self,
					   const gchar *name,
					   BurgnerIsofsTreeBuilder *builder);
GList *burgner_isofs_list_maker_create_list (BurgnerIsofsListMaker *self,
					     GNode *tree,
					     gboolean optimize,
					     gboolean void_first_16_sectors);

G_END_DECLS

#endif /* __BURGNER_ISOFS_LIST_MAKER_H__ */

