/*
 * BurgnerIsofsMapTable - BurgnerIsofsMapTable object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_MAP_TABLE_H__
#define __BURGNER_ISOFS_MAP_TABLE_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-types.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_MAP_TABLE		(burgner_isofs_map_table_get_type ())
#define BURGNER_ISOFS_MAP_TABLE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_MAP_TABLE, BurgnerIsofsMapTable))
#define BURGNER_ISOFS_MAP_TABLE_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_MAP_TABLE, BurgnerIsofsMapTableClass))
#define BURGNER_IS_ISOFS_MAP_TABLE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_MAP_TABLE))
#define BURGNER_IS_ISOFS_MAP_TABLE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_MAP_TABLE))
#define BURGNER_ISOFS_MAP_TABLE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_MAP_TABLE, BurgnerIsofsMapTableClass))


typedef struct _BurgnerIsofsMapTableClass BurgnerIsofsMapTableClass;

struct _BurgnerIsofsMapTable {
	GObject __parent;

	GHashTable *dict;
};

struct _BurgnerIsofsMapTableClass {
	GObjectClass __parent_class;

};


GType burgner_isofs_map_table_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_map_table_error_quark (void);

#define BURGNER_ISOFS_MAP_TABLE_ERROR		(burgner_isofs_map_table_error_quark ())


BurgnerIsofsMapTable *burgner_isofs_map_table_new (void);

void burgner_isofs_map_table_set (BurgnerIsofsMapTable *table,
				  BurgnerIsofsItem *item,
				  guint32 sector_n,
				  guint32 byte_o);
void burgner_isofs_map_table_unset (BurgnerIsofsMapTable *table,
				    BurgnerIsofsItem *item);

gboolean burgner_isofs_map_table_get_addr (BurgnerIsofsMapTable *table,
				           BurgnerIsofsItem *item,
	    			           guint32 *sector_n,
				           guint32 *byte_o);



G_END_DECLS

#endif /* __BURGNER_ISOFS_MAP_TABLE_H__ */

