/*
 * BurgnerIsofsRripNm - BurgnerIsofsRripNm object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_RRIP_NM_H__
#define __BURGNER_ISOFS_RRIP_NM_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-susp-entry.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_RRIP_NM		(burgner_isofs_rrip_nm_get_type ())
#define BURGNER_ISOFS_RRIP_NM(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_RRIP_NM, BurgnerIsofsRripNm))
#define BURGNER_ISOFS_RRIP_NM_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_RRIP_NM, BurgnerIsofsRripNmClass))
#define BURGNER_IS_ISOFS_RRIP_NM(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_RRIP_NM))
#define BURGNER_IS_ISOFS_RRIP_NM_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_RRIP_NM))
#define BURGNER_ISOFS_RRIP_NM_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_RRIP_NM, BurgnerIsofsRripNmClass))


typedef struct _BurgnerIsofsRripNm BurgnerIsofsRripNm;
typedef struct _BurgnerIsofsRripNmClass BurgnerIsofsRripNmClass;

struct _BurgnerIsofsRripNm {
	BurgnerIsofsSuspEntry __parent;

	gchar *str;
	guint str_len;

	guint cont : 1;
	guint current : 1;
	guint parent : 1;
};

struct _BurgnerIsofsRripNmClass {
	BurgnerIsofsSuspEntryClass __parent_class;

};


GType burgner_isofs_rrip_nm_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_rrip_nm_error_quark (void);

#define BURGNER_ISOFS_RRIP_NM_ERROR		(burgner_isofs_rrip_nm_error_quark ())


BurgnerIsofsItem *burgner_isofs_rrip_nm_new (void);

GSList *burgner_isofs_rrip_nm_new_slist_from_id (const gchar *id);

G_END_DECLS

#endif /* __BURGNER_ISOFS_RRIP_NM_H__ */

