/*
 * BurgnerIsofsRripSl - BurgnerIsofsRripSl object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_RRIP_SL_H__
#define __BURGNER_ISOFS_RRIP_SL_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-susp-entry.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_RRIP_SL		(burgner_isofs_rrip_sl_get_type ())
#define BURGNER_ISOFS_RRIP_SL(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_RRIP_SL, BurgnerIsofsRripSl))
#define BURGNER_ISOFS_RRIP_SL_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_RRIP_SL, BurgnerIsofsRripSlClass))
#define BURGNER_IS_ISOFS_RRIP_SL(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_RRIP_SL))
#define BURGNER_IS_ISOFS_RRIP_SL_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_RRIP_SL))
#define BURGNER_ISOFS_RRIP_SL_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_RRIP_SL, BurgnerIsofsRripSlClass))


typedef struct _BurgnerIsofsRripSl BurgnerIsofsRripSl;
typedef struct _BurgnerIsofsRripSlClass BurgnerIsofsRripSlClass;

struct _BurgnerIsofsRripSl {
	BurgnerIsofsSuspEntry __parent;

	gpointer ca;
	guint8 ca_len;

	guint cont : 1;
};

struct _BurgnerIsofsRripSlClass {
	BurgnerIsofsSuspEntryClass __parent_class;

};


GType burgner_isofs_rrip_sl_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_rrip_sl_error_quark (void) G_GNUC_CONST;

#define BURGNER_ISOFS_RRIP_SL_ERROR		(burgner_isofs_rrip_sl_error_quark ())


BurgnerIsofsItem *burgner_isofs_rrip_sl_new (void);

GSList *burgner_isofs_rrip_sl_new_slist_from_symlink (const gchar *symlink);

G_END_DECLS

#endif /* __BURGNER_ISOFS_RRIP_SL_H__ */

