/*
 * BurgnerIsofsRripTf - BurgnerIsofsRripTf object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_RRIP_TF_H__
#define __BURGNER_ISOFS_RRIP_TF_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-file-info.h>
#include <libburgnerisofs/burgner-isofs-susp-entry.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_RRIP_TF		(burgner_isofs_rrip_tf_get_type ())
#define BURGNER_ISOFS_RRIP_TF(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_RRIP_TF, BurgnerIsofsRripTf))
#define BURGNER_ISOFS_RRIP_TF_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_RRIP_TF, BurgnerIsofsRripTfClass))
#define BURGNER_IS_ISOFS_RRIP_TF(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_RRIP_TF))
#define BURGNER_IS_ISOFS_RRIP_TF_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_RRIP_TF))
#define BURGNER_ISOFS_RRIP_TF_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_RRIP_TF, BurgnerIsofsRripTfClass))


typedef struct _BurgnerIsofsRripTf BurgnerIsofsRripTf;
typedef struct _BurgnerIsofsRripTfClass BurgnerIsofsRripTfClass;

struct _BurgnerIsofsRripTf {
	BurgnerIsofsSuspEntry __parent;

	BurgnerIsofsFileInfo *info;
};

struct _BurgnerIsofsRripTfClass {
	BurgnerIsofsSuspEntryClass __parent_class;

};


GType burgner_isofs_rrip_tf_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_rrip_tf_error_quark (void) G_GNUC_CONST;

#define BURGNER_ISOFS_RRIP_TF_ERROR		(burgner_isofs_rrip_tf_error_quark ())


BurgnerIsofsItem *burgner_isofs_rrip_tf_new (void);

void burgner_isofs_rrip_tf_fill_951_from_time (gpointer buf, GTime time);

G_END_DECLS

#endif /* __BURGNER_ISOFS_RRIP_TF_H__ */

