/*
 * BurgnerIsofsSuspContinuationArea - BurgnerIsofsSuspContinuationArea object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_SUSP_CONTINUATION_AREA_H__
#define __BURGNER_ISOFS_SUSP_CONTINUATION_AREA_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA		(burgner_isofs_susp_continuation_area_get_type ())
#define BURGNER_ISOFS_SUSP_CONTINUATION_AREA(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA, BurgnerIsofsSuspContinuationArea))
#define BURGNER_ISOFS_SUSP_CONTINUATION_AREA_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA, BurgnerIsofsSuspContinuationAreaClass))
#define BURGNER_IS_ISOFS_SUSP_CONTINUATION_AREA(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA))
#define BURGNER_IS_ISOFS_SUSP_CONTINUATION_AREA_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA))
#define BURGNER_ISOFS_SUSP_CONTINUATION_AREA_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_SUSP_CONTINUATION_AREA, BurgnerIsofsSuspContinuationAreaClass))


typedef struct _BurgnerIsofsSuspContinuationArea BurgnerIsofsSuspContinuationArea;
typedef struct _BurgnerIsofsSuspContinuationAreaClass BurgnerIsofsSuspContinuationAreaClass;

struct _BurgnerIsofsSuspContinuationArea {
	BurgnerIsofsItem __parent;

	GSList *entries;
	GSList *n_bytes;
};

struct _BurgnerIsofsSuspContinuationAreaClass {
	BurgnerIsofsItemClass __parent_class;

};


GType burgner_isofs_susp_continuation_area_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_susp_continuation_area_error_quark (void);

#define BURGNER_ISOFS_SUSP_CONTINUATION_AREA_ERROR		(burgner_isofs_susp_continuation_area_error_quark ())


BurgnerIsofsItem *burgner_isofs_susp_continuation_area_new (void);

void burgner_isofs_susp_continuation_area_append (BurgnerIsofsSuspContinuationArea *ca,
						  BurgnerIsofsItem *entry);
void burgner_isofs_susp_continuation_area_prepend (BurgnerIsofsSuspContinuationArea *ca,
						   BurgnerIsofsItem *entry);
void burgner_isofs_susp_continuation_area_prepend_slist_take_ownership (BurgnerIsofsSuspContinuationArea *ca,
						                        GSList *l);
void burgner_isofs_susp_continuation_area_insert (BurgnerIsofsSuspContinuationArea *ca,
						  BurgnerIsofsItem *entry,
						  gint pos);

GSList *burgner_isofs_susp_continuation_area_get_entries (BurgnerIsofsSuspContinuationArea *ca);


G_END_DECLS

#endif /* __BURGNER_ISOFS_SUSP_CONTINUATION_AREA_H__ */

