/*
 * BurgnerIsofsSuspEntry - BurgnerIsofsSuspEntry object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_SUSP_ENTRY_H__
#define __BURGNER_ISOFS_SUSP_ENTRY_H__

#include <glib-object.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_ISOFS_SUSP_ENTRY		(burgner_isofs_susp_entry_get_type ())
#define BURGNER_ISOFS_SUSP_ENTRY(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_ISOFS_SUSP_ENTRY, BurgnerIsofsSuspEntry))
#define BURGNER_ISOFS_SUSP_ENTRY_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_ISOFS_SUSP_ENTRY, BurgnerIsofsSuspEntryClass))
#define BURGNER_IS_ISOFS_SUSP_ENTRY(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_ISOFS_SUSP_ENTRY))
#define BURGNER_IS_ISOFS_SUSP_ENTRY_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_ISOFS_SUSP_ENTRY))
#define BURGNER_ISOFS_SUSP_ENTRY_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_ISOFS_SUSP_ENTRY, BurgnerIsofsSuspEntryClass))

typedef struct _BurgnerIsofsSuspEntry BurgnerIsofsSuspEntry;
typedef struct _BurgnerIsofsSuspEntryClass BurgnerIsofsSuspEntryClass;

struct _BurgnerIsofsSuspEntry {
	BurgnerIsofsItem __parent;

	guchar sig[2];
	guchar version;
};

struct _BurgnerIsofsSuspEntryClass {
	BurgnerIsofsItemClass __parent_class;

	/*
	 * Virtual Functions
	 */
	BurgnerIsofsItem *(* dup)(BurgnerIsofsSuspEntry *ent);
};


GType burgner_isofs_susp_entry_get_type (void) G_GNUC_CONST;
GQuark  burgner_isofs_susp_entry_error_quark (void);

#define BURGNER_ISOFS_SUSP_ENTRY_ERROR		(burgner_isofs_susp_entry_error_quark ())


BurgnerIsofsItem *burgner_isofs_susp_entry_new (void);
BurgnerIsofsItem *burgner_isofs_susp_st_new (void);
BurgnerIsofsItem *burgner_isofs_rrip_re_new (void);

BurgnerIsofsItem *burgner_isofs_susp_entry_dup (BurgnerIsofsSuspEntry *ent);

G_END_DECLS

#endif /* __BURGNER_ISOFS_SUSP_ENTRY_H__ */

