/*
 * 
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-isofs-tree-volume-descriptor-utils.h"


#if 0
const BurgnerIsofsTreeVolumeDescriptorIdentifier
burgner_isofs_tree_volume_descriptor_identifier_void = {
	NULL,
	BURGNER_ISOFS_TREE_VOLUME_DESCRIPTOR_IDENTIFIER_TYPE_NONE
};

const BurgnerIsofsTreeVolumeDescriptorDate
burgner_isofs_tree_volume_descriptor_date_void = {
	0, 0, 0, 0, 0, 0, 0, 0
};
#endif


GType
burgner_isofs_tree_volume_descriptor_identifier_get_type (void)
{
	static GType type = 0;

	if (!type) {
		type = g_pointer_type_register_static ("BurgnerIsofsTreeVolumeDescriptorIdentifier");
	}

	return type;
}

GType
burgner_isofs_tree_volume_descriptor_date_get_type (void)
{
	static GType type = 0;

	if (!type) {
		type = g_pointer_type_register_static ("BurgnerIsofsTreeVolumeDescriptorDate");
	}

	return type;
}

void
burgner_isofs_tree_volume_descriptor_identifier_static_copy (BurgnerIsofsTreeVolumeDescriptorIdentifier *from,
							     BurgnerIsofsTreeVolumeDescriptorIdentifier *to)
{
	g_return_if_fail (from != NULL);
	g_return_if_fail (to != NULL);

	to->type = from->type;
	to->str = g_strdup (from->str);
}

void
burgner_isofs_tree_volume_descriptor_identifier_static_free (BurgnerIsofsTreeVolumeDescriptorIdentifier *id)
{
	g_return_if_fail (id != NULL);

	if (id->str)
		g_free (id->str);

	id->type = BURGNER_ISOFS_TREE_VOLUME_DESCRIPTOR_IDENTIFIER_TYPE_NONE;
}

