/*
 * 
 *
 * This file is part of the libburgner library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_ISOFS_TVD_INFO_H__
#define __BURGNER_ISOFS_TVD_INFO_H__

#include <glib.h>
#include <libburgnerisofs/burgner-isofs-tree-volume-descriptor-utils.h>
#include <libburgnerisofs/burgner-isofs-item.h>

G_BEGIN_DECLS


typedef struct {
	BurgnerIsofsTreeVolumeDescriptorDate c_date;
	BurgnerIsofsTreeVolumeDescriptorDate m_date;
	BurgnerIsofsTreeVolumeDescriptorDate ex_date;
	BurgnerIsofsTreeVolumeDescriptorDate eff_date;

	BurgnerIsofsTreeVolumeDescriptorIdentifier publisher_id;
	BurgnerIsofsTreeVolumeDescriptorIdentifier data_preparer_id;
	BurgnerIsofsTreeVolumeDescriptorIdentifier application_id;

	gchar *system_id;
	gchar *volume_id;
	gchar *volume_set_id;

	gchar *copyright_file_id;
	gchar *abstract_file_id;
	gchar *bibliographic_file_id;

	guint16 volume_set_size;
	guint16 volume_sequence_number;
} BurgnerIsofsTvdInfo;

void burgner_isofs_tvd_info_setup_tvd (BurgnerIsofsTvdInfo *info,
				       BurgnerIsofsItem *tvd);
void burgner_isofs_tvd_info_static_copy (BurgnerIsofsTvdInfo *from,
				         BurgnerIsofsTvdInfo *to);
void burgner_isofs_tvd_info_static_free (BurgnerIsofsTvdInfo *info);

G_END_DECLS

#endif /* __BURGNER_ISOFS_TVD_INFO_H__ */
