/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MMC_BLANK_H__
#define __BURGNER_MMC_BLANK_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_MMC_BLANK_OP_CODE	(0xa1)
#define BURGNER_MMC_BLANK_CDB_SIZE	(12)

#define BURGNER_MMC_BLANK_TIMEOUT	(4800000)

typedef enum {
	BURGNER_MMC_BLANK_TYPE_DISC,
	BURGNER_MMC_BLANK_TYPE_MINIMALLY_DISC,
	BURGNER_MMC_BLANK_TYPE_TRACK,
	BURGNER_MMC_BLANK_TYPE_UNRESERVE_TRACK,
	BURGNER_MMC_BLANK_TYPE_TRACK_TAIL,
	BURGNER_MMC_BLANK_TYPE_UNCLOSE_LAST_SESSION,
	BURGNER_MMC_BLANK_TYPE_LAST_SESSION
} BurgnerMmcBlankType;

void burgner_mmc_blank_write_cdb (gpointer cdb_buf, guint cdb_buf_size,
				  BurgnerMmcBlankType blank_type,
				  guint track_num_or_start_lba);

G_END_DECLS

#endif /* __BURGNER_MMC_BLANK_H__ */

