/*
 * BurgnerMmcCloseTrackSession
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This file is part of the libburgnermmc library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include "burgner-mmc-impl.h"
#include "burgner-mmc-close-track-session.h"

void
burgner_mmc_close_track_write_cdb (gpointer cdb_buf, guint cdb_buf_size,
			     	   guint8 track_num,
				   gboolean immed)
{
	_BurgnerMmcImplCloseTrackSessionCdb *impl;

	g_return_if_fail (cdb_buf != NULL);
	g_return_if_fail (cdb_buf_size >= BURGNER_MMC_CLOSE_TRACK_SESSION_CDB_SIZE);

	impl = (_BurgnerMmcImplCloseTrackSessionCdb *) cdb_buf;
	memset (impl, 0, BURGNER_MMC_CLOSE_TRACK_SESSION_CDB_SIZE);

	impl->op_code = BURGNER_MMC_CLOSE_TRACK_SESSION_OP_CODE;
	impl->immed = immed ? 1 : 0;
	impl->session = 0;
	impl->track = 1;
	impl->track_number = track_num;
}

void
burgner_mmc_close_session_write_cdb (gpointer cdb_buf, guint cdb_buf_size,
					   gboolean immed)
{
	_BurgnerMmcImplCloseTrackSessionCdb *impl;

	g_return_if_fail (cdb_buf != NULL);
	g_return_if_fail (cdb_buf_size >= BURGNER_MMC_CLOSE_TRACK_SESSION_CDB_SIZE);

	impl = (_BurgnerMmcImplCloseTrackSessionCdb *) cdb_buf;
	memset (impl, 0, BURGNER_MMC_CLOSE_TRACK_SESSION_CDB_SIZE);

	impl->op_code = BURGNER_MMC_CLOSE_TRACK_SESSION_OP_CODE;
	impl->immed = immed ? 1 : 0;
	impl->session = 1;
	impl->track = 0;
}

