/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MMC_DATA_BLOCK_TYPE_H__
#define __BURGNER_MMC_DATA_BLOCK_TYPE_H__

#include <glib-object.h>

G_BEGIN_DECLS

typedef enum {
	BURGNER_MMC_DATA_BLOCK_TYPE_RAW_DATA = 0,
	BURGNER_MMC_DATA_BLOCK_TYPE_RAW_DATA_WITH_P_Q_SUB_CHANNEL,
	BURGNER_MMC_DATA_BLOCK_TYPE_RAW_DARA_WITH_P_W_SUB_CHANNEL_1,
	BURGNER_MMC_DATA_BLOCK_TYPE_RAW_DATA_WITH_P_W_SUB_CHANNEL_2,
	BURGNER_MMC_DATA_BLOCK_TYPE_VENDOR_SPECIFIC_1,
	BURGNER_MMC_DATA_BLOCK_TYPE_MODE_1,
	BURGNER_MMC_DATA_BLOCK_TYPE_MODE_2,
	BURGNER_MMC_DATA_BLOCK_TYPE_CD_ROM_XA_MODE_2_FORM_1_1,
	BURGNER_MMC_DATA_BLOCK_TYPE_CD_ROM_XA_MODE_2_FORM_1_2,
	BURGNER_MMC_DATA_BLOCK_TYPE_CD_ROM_XA_MODE_2_FORM_2,
	BURGNER_MMC_DATA_BLOCK_TYPE_CD_ROM_XA_MIXED,
	BURGNER_MMC_DATA_BLOCK_TYPE_VENDOR_SPECIFIC_2
} BurgnerMmcDataBlockType;

#define BURGNER_TYPE_MMC_DATA_BLOCK_TYPE	(burgner_mmc_data_block_type_get_type ())
GType burgner_mmc_data_block_type_get_type (void) G_GNUC_CONST;

guint burgner_mmc_data_block_type_get_data_block_size
				(BurgnerMmcDataBlockType type);


G_END_DECLS

#endif /* __BURGNER_MMC_DATA_BLOCK_TYPE_H__ */

