/*
 * BurgnerMmcGetCapabilitiesPageStage - BurgnerMmcGetCapabilitiesPageStage object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_H__
#define __BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_H__

#include <glib-object.h>
#include <libburgnerscsi/burgner-scsi-get-mode-page-stage.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE		(burgner_mmc_get_capabilities_page_stage_get_type ())
#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE, BurgnerMmcGetCapabilitiesPageStage))
#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE, BurgnerMmcGetCapabilitiesPageStageClass))
#define BURGNER_IS_MMC_GET_CAPABILITIES_PAGE_STAGE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE))
#define BURGNER_IS_MMC_GET_CAPABILITIES_PAGE_STAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE))
#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_MMC_GET_CAPABILITIES_PAGE_STAGE, BurgnerMmcGetCapabilitiesPageStageClass))

#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_PAGE_CODE		(0x2a)

#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_MIN_DATA_BUF_SIZE	(22)


typedef struct _BurgnerMmcGetCapabilitiesPageStage BurgnerMmcGetCapabilitiesPageStage;
typedef struct _BurgnerMmcGetCapabilitiesPageStageClass BurgnerMmcGetCapabilitiesPageStageClass;

struct _BurgnerMmcGetCapabilitiesPageStage {
	BurgnerScsiGetModePageStage __parent;

};

struct _BurgnerMmcGetCapabilitiesPageStageClass {
	BurgnerScsiGetModePageStageClass __parent_class;

};


GType burgner_mmc_get_capabilities_page_stage_get_type (void) G_GNUC_CONST;
GQuark  burgner_mmc_get_capabilities_page_stage_error_quark (void);

#define BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_ERROR		(burgner_mmc_get_capabilities_page_stage_error_quark ())


BurgnerScsiStage *burgner_mmc_get_capabilities_page_stage_new (void);

G_END_DECLS

#endif /* __BURGNER_MMC_GET_CAPABILITIES_PAGE_STAGE_H__ */

