/*
 * BurgnerMmcReadBufferCapacity
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This file is part of the libburgnermmc library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_MMC_READ_BUFFER_CAPACITY_H__
#define __BURGNER_MMC_READ_BUFFER_CAPACITY_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_MMC_READ_BUFFER_CAPACITY_OP_CODE	(0x5c)
#define BURGNER_MMC_READ_BUFFER_CAPACITY_CDB_SIZE	(10)

#define BURGNER_MMC_READ_BUFFER_CAPACITY_DATA_SIZE	(12)

void burgner_mmc_read_buffer_capacity_write_cdb (gpointer cdb_buf,
						 guint cdb_buf_size,
						 guint data_buf_size);

void burgner_mmc_read_buffer_capacity_parse_data (gpointer data,
						  guint data_size,
						  guint32 *blank_length,
						  guint32 *total_length);

G_END_DECLS

#endif /* __BURGNER_MMC_READ_BUFFER_CAPACITY_H__ */

