/*
 * 
 *
 * This file is part of the root library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-mmc-session-utils.h"


GType
burgner_mmc_session_closure_get_type (void)
{
	static GType etype = 0;

	if (etype == 0) {
		static const GEnumValue values[] = {
			{ BURGNER_MMC_SESSION_CLOSURE_NO_B0_POINTER, "BURGNER_MMC_SESSION_CLOSURE_NO_B0_POINTER", "NO_B0_POINTER" },
			{ BURGNER_MMC_SESSION_CLOSURE_NO_NEXT_SESSION, "BURGNER_MMC_SESSION_CLOSURE_NO_NEXT_SESSION", "NO_NEXT_SESSION" },
			{ BURGNER_MMC_SESSION_CLOSURE_NEXT_SESSION_ALLOWED, "BURGNER_MMC_SESSION_CLOSURE_NEXT_SESSION_ALLOWED", "NEXT_SESSION_ALLOWED" },
			{ 0, NULL, NULL }
		};

		etype = g_enum_register_static ("BurgnerMmcSessionClosure", values);
	}

	return etype;
}

GType
burgner_mmc_session_format_get_type (void)
{
	static GType etype = 0;

	if (etype == 0) {
		static const GEnumValue values[] = {
			{ BURGNER_MMC_SESSION_FORMAT_CD_DA_OR_CD_ROM, "BURGNER_MMC_SESSION_FORMAT_CD_DA_OR_CD_ROM", "CD_DA_OR_CD_ROM" },
			{ BURGNER_MMC_SESSION_FORMAT_CD_I, "BURGNER_MMC_SESSION_FORMAT_CD_I", "CD_I" },
			{ BURGNER_MMC_SESSION_FORMAT_CD_ROM_XA, "BURGNER_MMC_SESSION_FORMAT_CD_ROM_XA", "CD_ROM_XA" },
			{ 0, NULL, NULL }
		};

		etype = g_enum_register_static ("BurgnerMmcSessionFormat", values);
	}

	return etype;
}

