/*
 * 
 *
 * This file is part of the root library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MMC_SESSION_UTILS_H__
#define __BURGNER_MMC_SESSION_UTILS_H__

#include <glib-object.h>

G_BEGIN_DECLS

typedef enum {
	BURGNER_MMC_SESSION_FORMAT_CD_DA_OR_CD_ROM = 0,
	BURGNER_MMC_SESSION_FORMAT_CD_I,
	BURGNER_MMC_SESSION_FORMAT_CD_ROM_XA
} BurgnerMmcSessionFormat;

typedef enum {
	BURGNER_MMC_SESSION_CLOSURE_NO_B0_POINTER = 0,
	BURGNER_MMC_SESSION_CLOSURE_NO_NEXT_SESSION,
	BURGNER_MMC_SESSION_CLOSURE_NEXT_SESSION_ALLOWED
} BurgnerMmcSessionClosure;


#define BURGNER_TYPE_MMC_SESSION_CLOSURE	(burgner_mmc_session_closure_get_type ())
#define BURGNER_TYPE_MMC_SESSION_FORMAT		(burgner_mmc_session_format_get_type ())

GType burgner_mmc_session_closure_get_type (void) G_GNUC_CONST;
GType burgner_mmc_session_format_get_type (void) G_GNUC_CONST;


G_END_DECLS

#endif /* __BURGNER_MMC_SESSION_UTILS_H__ */

