/*
 * BurgnerMmcSetCdSpeed
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This file is part of the libburgnermmc library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include "../libburgnerscsi/burgner-scsi-utils.h"
#include "burgner-mmc-utils.h"
#include "burgner-mmc-impl.h"
#include "burgner-mmc-set-cd-speed.h"

void
burgner_mmc_set_cd_speed_kbps_write_cdb (gpointer buf,
					 guint buf_size,
					 guint16 read_speed,
					 guint16 write_speed)
{
	_BurgnerMmcImplSetCdSpeedCdb *impl;

	g_return_if_fail (buf != NULL);
	g_return_if_fail (buf_size >= BURGNER_MMC_SET_CD_SPEED_CDB_SIZE);

	impl = (_BurgnerMmcImplSetCdSpeedCdb *) buf;
	memset (impl, 0, BURGNER_MMC_SET_CD_SPEED_CDB_SIZE);

	impl->op_code = BURGNER_MMC_SET_CD_SPEED_OP_CODE;
	burgner_scsi_set_uint16 (impl->read_speed, read_speed);
	burgner_scsi_set_uint16 (impl->write_speed, write_speed);
}

void
burgner_mmc_set_cd_speed_write_cdb (gpointer buf,
				    guint buf_size,
				    guint read_x,
				    guint write_x)
{
	burgner_mmc_set_cd_speed_kbps_write_cdb
				(buf,
				 buf_size,
				 burgner_mmc_speed_x_to_kbps (read_x),
				 burgner_mmc_speed_x_to_kbps (write_x));
}

