/*
 * BurgnerMmcSetWritePageStage - BurgnerMmcSetWritePageStage object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib-object.h>
#include "burgner-mmc-set-write-page-stage.h"


static BurgnerScsiSetModePageStageClass *parent_class = NULL;

static void
burgner_mmc_set_write_page_stage_class_init (BurgnerMmcSetWritePageStageClass *klass)
{
	parent_class = g_type_class_peek_parent (klass);
}

static void
_burgner_mmc_set_write_page_stage_init (BurgnerMmcSetWritePageStage *self)
{
}

GType
burgner_mmc_set_write_page_stage_get_type (void)
{
	static GType type = 0;

	if (type == 0) {
		static GTypeInfo info = {
			sizeof (BurgnerMmcSetWritePageStageClass),
			NULL,
			NULL,
			(GClassInitFunc) burgner_mmc_set_write_page_stage_class_init,
			NULL,
			NULL,
			sizeof (BurgnerMmcSetWritePageStage),
			0,
			(GInstanceInitFunc) _burgner_mmc_set_write_page_stage_init,
		};

		type = g_type_register_static (BURGNER_TYPE_SCSI_SET_MODE_PAGE_STAGE, "BurgnerMmcSetWritePageStage", &info, 0);
	}

	return type;
}

BurgnerScsiStage *
burgner_mmc_set_write_page_stage_new (void)
{
	BurgnerMmcSetWritePageStage *self;

	self = g_object_new (BURGNER_TYPE_MMC_SET_WRITE_PAGE_STAGE, NULL);

	g_object_set (self,
		      "std_format", TRUE,
		      "save_pages", FALSE,
		      NULL);

	return BURGNER_SCSI_STAGE (self);
}


GQuark
burgner_mmc_set_write_page_stage_error_quark (void)
{
	return g_quark_from_string ("BurgnerMmcSetWritePageStage");
}

