/*
 * BurgnerMmcSetupSessionStage - BurgnerMmcSetupSessionStage object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_MMC_SETUP_SESSION_STAGE_H__
#define __BURGNER_MMC_SETUP_SESSION_STAGE_H__

#include <glib-object.h>
#include <libburgnerscsi/burgner-scsi-stage-manager.h>
#include <libburgnermmc/burgner-mmc-session-utils.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_MMC_SETUP_SESSION_STAGE		(burgner_mmc_setup_session_stage_get_type ())
#define BURGNER_MMC_SETUP_SESSION_STAGE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_MMC_SETUP_SESSION_STAGE, BurgnerMmcSetupSessionStage))
#define BURGNER_MMC_SETUP_SESSION_STAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_MMC_SETUP_SESSION_STAGE, BurgnerMmcSetupSessionStageClass))
#define BURGNER_IS_MMC_SETUP_SESSION_STAGE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_MMC_SETUP_SESSION_STAGE))
#define BURGNER_IS_MMC_SETUP_SESSION_STAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_MMC_SETUP_SESSION_STAGE))
#define BURGNER_MMC_SETUP_SESSION_STAGE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_MMC_SETUP_SESSION_STAGE, BurgnerMmcSetupSessionStageClass))


typedef struct _BurgnerMmcSetupSessionStage BurgnerMmcSetupSessionStage;
typedef struct _BurgnerMmcSetupSessionStageClass BurgnerMmcSetupSessionStageClass;

struct _BurgnerMmcSetupSessionStage {
	BurgnerScsiStageManager __parent;

	BurgnerScsiDevice *device;

	gpointer cdb_buf;
	guint cdb_buf_size;

	gpointer sense_buf;
	guint sense_buf_size;

	gpointer data_buf;
	guint data_buf_size;

	gpointer mask_buf;

	BurgnerMmcSessionClosure closure;
	BurgnerMmcSessionFormat format;
};

struct _BurgnerMmcSetupSessionStageClass {
	BurgnerScsiStageManagerClass __parent_class;

};


GType burgner_mmc_setup_session_stage_get_type (void) G_GNUC_CONST;
GQuark  burgner_mmc_setup_session_stage_error_quark (void) G_GNUC_CONST;

#define BURGNER_MMC_SETUP_SESSION_STAGE_ERROR		(burgner_mmc_setup_session_stage_error_quark ())
typedef enum {
	BURGNER_MMC_SETUP_SESSION_STAGE_ERROR_INVALID_MODE_PARAMETER
} BurgnerMmcSetupSessionStageError;


BurgnerScsiStage *burgner_mmc_setup_session_stage_new (void);

G_END_DECLS

#endif /* __BURGNER_MMC_SETUP_SESSION_STAGE_H__ */

