/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-mmc-track-mode.h"


GType
burgner_mmc_track_mode_get_type (void)
{
	static GType etype = 0;

	if (!etype) {
		static const GEnumValue values[] = {
			{ BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS, "BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS", "2_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS" },
			{ BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITH_PRE_EMPHASIS, "BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITH_PRE_EMPHASIS", "2_AUDIO_CHANNELS_WITH_PRE_EMPHASIS" },
			{ BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS, "BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS", "AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS" },
			{ BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITH_PRE_EMPHASIS, "BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITH_PRE_EMPHASIS", "AUDIO_CHANNELS_WITH_PRE_EMPHASIS" },
			{ BURGNER_MMC_TRACK_MODE_DATA_TRACK_UNINTERRUPTED, "BURGNER_MMC_TRACK_MODE_DATA_TRACK_UNINTERRUPTED", "DATA_TRACK_UNINTERRUPTED" },
			{ BURGNER_MMC_TRACK_MODE_DATA_TRACK_INCREMENTAL, "BURGNER_MMC_TRACK_MODE_DATA_TRACK_INCREMENTAL", "DATA_TRACK_INCREMENTAL" },
			{ 0, NULL, NULL }
		};

		etype = g_enum_register_static ("BurgnerMmcTrackMode", values);
	}

	return etype;
}

