/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MMC_TRACK_MODE_H__
#define __BURGNER_MMC_TRACK_MODE_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define BURGNER_TYPE_MMC_TRACK_MODE	(burgner_mmc_track_mode_get_type ())

GType burgner_mmc_track_mode_get_type (void) G_GNUC_CONST;


typedef enum {
	BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS = 0,
	BURGNER_MMC_TRACK_MODE_2_AUDIO_CHANNELS_WITH_PRE_EMPHASIS,
	BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITHOUT_PRE_EMPHASIS,
	BURGNER_MMC_TRACK_MODE_AUDIO_CHANNELS_WITH_PRE_EMPHASIS,
	BURGNER_MMC_TRACK_MODE_DATA_TRACK_UNINTERRUPTED,
	BURGNER_MMC_TRACK_MODE_DATA_TRACK_INCREMENTAL
} BurgnerMmcTrackMode;


G_END_DECLS

#endif /* __BURGNER_MMC_TRACK_MODE_H__ */

