/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MMC_WRITE_PAGE_UTILS_H__
#define __BURGNER_MMC_WRITE_PAGE_UTILS_H__

#include <glib.h>
#include <libburgnermmc/burgner-mmc-data-block-type.h>
#include <libburgnermmc/burgner-mmc-track-mode.h>

G_BEGIN_DECLS

#define BURGNER_MMC_WRITE_PAGE_UTILS_ERROR	(burgner_mmc_write_page_utils_error_quark ())
GQuark burgner_mmc_write_page_utils_error_quark (void) G_GNUC_CONST;
typedef enum {
	BURGNER_MMC_WRITE_PAGE_UTILS_ERROR_CANT_SET_DATA_BLOCK_TYPE,
	BURGNER_MMC_WRITE_PAGE_UTILS_ERROR_CANT_SET_TRACK_MODE,
	BURGNER_MMC_WRITE_PAGE_UTILS_ERROR_CANT_SET_TEST_BIT,
	BURGNER_MMC_WRITE_PAGE_UTILS_ERROR_CANT_SET_SESSION_FORMAT,
	BURGNER_MMC_WRITE_PAGE_UTILS_ERROR_CANT_SET_SESSION_CLOSURE
} BurgnerMmcWritePageUtilsError;

typedef enum {
	BURGNER_MMC_WRITE_PAGE_SESSION_FORMAT_CD_DA_OR_CD_ROM = 0,
	BURGNER_MMC_WRITE_PAGE_SESSION_FORMAT_CD_I,
	BURGNER_MMC_WRITE_PAGE_SESSION_FORMAT_CD_ROM_XA
} BurgnerMmcWritePageSessionFormat;

typedef enum {
	BURGNER_MMC_WRITE_PAGE_SESSION_CLOSURE_NO_B0_POINTER = 0,
	BURGNER_MMC_WRITE_PAGE_SESSION_CLOSURE_NO_NEXT_SESSION,
	BURGNER_MMC_WRITE_PAGE_SESSION_CLOSURE_NEXT_SESSION_ALLOWED
} BurgnerMmcWritePageSessionClosure;


gboolean burgner_mmc_write_page_setup_session (gpointer write_page,
					       gpointer mask_write_page,
					       BurgnerMmcWritePageSessionFormat sf,
					       BurgnerMmcWritePageSessionClosure closure,
					       GError **error);

gboolean burgner_mmc_write_page_setup_tao_write (gpointer write_page,
						 gpointer mask_write_page,
						 BurgnerMmcDataBlockType block_type,
						 BurgnerMmcTrackMode track_mode,
						 gboolean test_mode,
						 GError **error);

G_END_DECLS

#endif /* __BURGNER_MMC_WRITE_PAGE_UTILS_H__ */

