/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-scsi-device-type.h"

const gchar *
burgner_scsi_device_type_to_string (BurgnerScsiDeviceType type)
{
	switch (type) {
		case BURGNER_SCSI_DEVICE_TYPE_DIRECT_ACCESS:
			return "Direct Access";
		case BURGNER_SCSI_DEVICE_TYPE_SEQUENTIAL_ACCESS:
			return "Sequential Access";
		case BURGNER_SCSI_DEVICE_TYPE_PRINTER:
			return "Printer";
		case BURGNER_SCSI_DEVICE_TYPE_PROCESSOR:
			return "Processor";
		case BURGNER_SCSI_DEVICE_TYPE_WRITE_ONCE:
			return "Write Once";
		case BURGNER_SCSI_DEVICE_TYPE_CD_ROM:
			return "CD-Rom";
		case BURGNER_SCSI_DEVICE_TYPE_SCANNER:
			return "Scanner";
		case BURGNER_SCSI_DEVICE_TYPE_OPTICAL_MEMORY:
			return "Optical Memory";
		case BURGNER_SCSI_DEVICE_TYPE_MEDIUM_CHANGER:
			return "Medium Changer";
		case BURGNER_SCSI_DEVICE_TYPE_COMMUNICATIONS:
			return "Communications";
		case BURGNER_SCSI_DEVICE_TYPE_STORAGE_ARRAY_CONTROLLER:
			return "Storage Array Controller";
		case BURGNER_SCSI_DEVICE_TYPE_ENCLOSURE_SERVICES:
			return "Enclosure Services";
		default:
			return "Unknown";
	}

	g_assert_not_reached ();
	return "";
}

