/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_SCSI_DEVICE_TYPE_H__
#define __BURGNER_SCSI_DEVICE_TYPE_H__

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
	BURGNER_SCSI_DEVICE_TYPE_DIRECT_ACCESS = 0x00,
	BURGNER_SCSI_DEVICE_TYPE_SEQUENTIAL_ACCESS = 0x01,
	BURGNER_SCSI_DEVICE_TYPE_PRINTER = 0x02,
	BURGNER_SCSI_DEVICE_TYPE_PROCESSOR = 0x03,
	BURGNER_SCSI_DEVICE_TYPE_WRITE_ONCE = 0x04,
	BURGNER_SCSI_DEVICE_TYPE_CD_ROM = 0x05,
	BURGNER_SCSI_DEVICE_TYPE_SCANNER = 0x06,
	BURGNER_SCSI_DEVICE_TYPE_OPTICAL_MEMORY = 0x07,
	BURGNER_SCSI_DEVICE_TYPE_MEDIUM_CHANGER = 0x08,
	BURGNER_SCSI_DEVICE_TYPE_COMMUNICATIONS = 0x09,
	BURGNER_SCSI_DEVICE_TYPE_STORAGE_ARRAY_CONTROLLER = 0x0c,
	BURGNER_SCSI_DEVICE_TYPE_ENCLOSURE_SERVICES = 0x0d,
	BURGNER_SCSI_DEVICE_TYPE_UNKNOWN = 0x1f
} BurgnerScsiDeviceType;

const gchar *burgner_scsi_device_type_to_string (BurgnerScsiDeviceType type);

G_END_DECLS

#endif /* __BURGNER_SCSI_DEVICE_TYPE_H__ */

