/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "../libburgnerutils/burgner-fifo.h"
#include "../libburgnerutils/burgner-fifo-reader.h"
#include "../libburgnerutils/burgner-fifo-writer.h"
#include "../libburgnerutils/burgner-ring-fifo.h"

#include "burgner-scsi-device.h"
#include "burgner-scsi-driver.h"
#include "burgner-scsi-linux-device.h"
#include "burgner-scsi-linux-driver.h"
#include "burgner-scsi-driver-manager.h"
#include "burgner-scsi-privilege.h"

#include "burgner-scsi-init.h"


void
burgner_scsi_init (void)
{
	burgner_fifo_get_type ();
	burgner_fifo_reader_get_type ();
	burgner_fifo_writer_get_type ();
	burgner_ring_fifo_get_type ();

	burgner_scsi_device_get_type ();
	burgner_scsi_driver_get_type ();
	burgner_scsi_driver_manager_get_type ();
	burgner_scsi_privilege_get_type ();
	burgner_scsi_linux_driver_get_type ();
	burgner_scsi_linux_device_get_type ();
}

