/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_MODE_PAGE_UTILS__
#define __BURGNER_SCSI_MODE_PAGE_UTILS__

#include <glib-object.h>

G_BEGIN_DECLS

typedef enum {
	BURGNER_SCSI_MODE_PAGE_VALUES_CURRENT,
	BURGNER_SCSI_MODE_PAGE_VALUES_CHANGEABLE,
	BURGNER_SCSI_MODE_PAGE_VALUES_DEFAULT,
	BURGNER_SCSI_MODE_PAGE_VALUES_SAVED
} BurgnerScsiModePageValues;

#define BURGNER_TYPE_SCSI_MODE_PAGE_VALUES	(burgner_scsi_mode_page_values_get_type ())
GType burgner_scsi_mode_page_values_get_type (void) G_GNUC_CONST;

guint burgner_scsi_mode_page_values_to_pc (BurgnerScsiModePageValues values);


guint burgner_scsi_mode_page_list_get_length (GList *pages);

G_END_DECLS

#endif /* __BURGNER_SCSI_MODE_PAGE_UTILS__ */
