/*
 * BurgnerScsiModePage - BurgnerScsiModePage object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib-object.h>
#include "burgner-scsi-mode-page.h"


#define check(o)		G_STMT_START {	\
	g_return_if_fail (o);	\
	g_return_if_fail (BURGNER_IS_SCSI_MODE_PAGE (o));	\
				} G_STMT_END
#define check_with_val(o,v)	G_STMT_START {	\
	g_return_val_if_fail ((o), (v));	\
	g_return_val_if_fail (BURGNER_IS_SCSI_MODE_PAGE (o), (v));	\
				} G_STMT_END

static GObjectClass *parent_class = NULL;

static void
burgner_scsi_mode_page_finalize (GObject *object)
{
	if (G_OBJECT_CLASS (parent_class)->finalize)
		G_OBJECT_CLASS (parent_class)->finalize (object);
}

static void
burgner_scsi_mode_page_class_init (BurgnerScsiModePageClass *klass)
{
	GObjectClass *object_class;

	object_class = (GObjectClass *) klass;
	object_class->finalize = burgner_scsi_mode_page_finalize;

	parent_class = g_type_class_peek_parent (klass);
}

static void
burgner_scsi_mode_page_init (BurgnerScsiModePage *self)
{
}

GType
burgner_scsi_mode_page_get_type (void)
{
	static GType type = 0;

	if (type == 0) {
		static GTypeInfo info = {
			sizeof (BurgnerScsiModePageClass),
			NULL,
			NULL,
			(GClassInitFunc) burgner_scsi_mode_page_class_init,
			NULL,
			NULL,
			sizeof (BurgnerScsiModePage),
			0,
			(GInstanceInitFunc) burgner_scsi_mode_page_init,
		};

		type = g_type_register_static (G_TYPE_OBJECT, "BurgnerScsiModePage", &info, G_TYPE_FLAG_ABSTRACT);
	}

	return type;
}

GQuark
burgner_scsi_mode_page_error_quark (void)
{
	return g_quark_from_string ("BurgnerScsiModePage");
}

guint
burgner_scsi_mode_page_get_length (BurgnerScsiModePage *mp)
{
	check_with_val (mp, 0);

	if (BURGNER_SCSI_MODE_PAGE_GET_CLASS (mp)->get_length)
		return BURGNER_SCSI_MODE_PAGE_GET_CLASS (mp)->get_length (mp);

	return 0;
}

void
burgner_scsi_mode_page_write (BurgnerScsiModePage *mp,
			      gpointer buf, guint buf_size)
{
	check (mp);
	g_return_if_fail (buf != NULL);

	if (BURGNER_SCSI_MODE_PAGE_GET_CLASS (mp)->write)
		BURGNER_SCSI_MODE_PAGE_GET_CLASS (mp)->write (mp, buf, buf_size);
}

