/*
 * BurgnerScsiModePage - BurgnerScsiModePage object
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_MODE_PAGE_H__
#define __BURGNER_SCSI_MODE_PAGE_H__

#include <glib-object.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_SCSI_MODE_PAGE		(burgner_scsi_mode_page_get_type ())
#define BURGNER_SCSI_MODE_PAGE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_SCSI_MODE_PAGE, BurgnerScsiModePage))
#define BURGNER_SCSI_MODE_PAGE_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_SCSI_MODE_PAGE, BurgnerScsiModePageClass))
#define BURGNER_IS_SCSI_MODE_PAGE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_SCSI_MODE_PAGE))
#define BURGNER_IS_SCSI_MODE_PAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_SCSI_MODE_PAGE))
#define BURGNER_SCSI_MODE_PAGE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_SCSI_MODE_PAGE, BurgnerScsiModePageClass))


typedef struct _BurgnerScsiModePage BurgnerScsiModePage;
typedef struct _BurgnerScsiModePageClass BurgnerScsiModePageClass;

struct _BurgnerScsiModePage {
	GObject __parent;

};

struct _BurgnerScsiModePageClass {
	GObjectClass __parent_class;

	/*
	 * Virtual Functions
	 */
	guint (* get_length)(BurgnerScsiModePage *mp);
	void (* write)(BurgnerScsiModePage *mp,
		       gpointer buf, guint buf_size);

};


GType burgner_scsi_mode_page_get_type (void) G_GNUC_CONST;
GQuark  burgner_scsi_mode_page_error_quark (void);

#define BURGNER_SCSI_MODE_PAGE_ERROR		(burgner_scsi_mode_page_error_quark ())

guint burgner_scsi_mode_page_get_length (BurgnerScsiModePage *mp);
void burgner_scsi_mode_page_write (BurgnerScsiModePage *mp,
		       		   gpointer buf, guint buf_size);

G_END_DECLS

#endif /* __BURGNER_SCSI_MODE_PAGE_H__ */
