/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_SCSI_MODE_PARAMETER_LIST_H__
#define __BURGNER_SCSI_MODE_PARAMETER_LIST_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_SCSI_MODE_PARAMETER_LIST_ERROR	(burgner_scsi_mode_parameter_list_error_quark ())
GQuark burgner_scsi_mode_parameter_list_error_quark (void);

typedef enum {
	BURGNER_SCSI_MODE_PARAMETER_LIST_ERROR_MALFORMED_PARAMETER_LIST
} BurgnerScsiModeParameterListError;


gboolean burgner_scsi_mode_parameter_list_write_list (gboolean is_10,
						      gpointer buf,
						      guint buf_size,
						      guint *buf_used,
						      GList *pages);

gboolean burgner_scsi_mode_parameter_list_write_args (gboolean is_10,
						      gpointer buf,
						      guint buf_size,
						      guint *buf_used,
						      gconstpointer *first_page,
						      ...);

gboolean burgner_scsi_mode_parameter_list_parse (gboolean is_10,
						 gpointer buf,
						 guint buf_size,
						 guint *buf_missing,
						 GList **pages,
						 GError **err);

G_END_DECLS

#endif /* __BURGNER_SCSI_MODE_PARAMETER_LIST_H__  */

