/*
 * BurgnerScsiModeSelect
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <glib-object.h>
#include "burgner-scsi-utils.h"
#include "burgner-scsi-spc-impl.h"
#include "burgner-scsi-mode-select.h"

void
burgner_scsi_mode_select_6_write_cdb (gpointer buf, guint buf_size,
				      gboolean std_format,
				      gboolean save_pages,
				      guint data_buf_size)
{
	_BurgnerScsiSpcImplModeSelect6Cdb *impl;

	g_return_if_fail (buf != NULL);
	g_return_if_fail (buf_size >= BURGNER_SCSI_MODE_SELECT_6_CDB_SIZE);
	g_return_if_fail ((data_buf_size & ~0xff) == 0);

	impl = (_BurgnerScsiSpcImplModeSelect6Cdb *) buf;
	memset (impl, 0, BURGNER_SCSI_MODE_SELECT_6_CDB_SIZE);

	impl->op_code = BURGNER_SCSI_MODE_SELECT_6_OP_CODE;
	impl->pf = (std_format == TRUE);
	impl->sp = (save_pages == TRUE);
	impl->param_list_length = data_buf_size;
}

void
burgner_scsi_mode_select_10_write_cdb (gpointer buf, guint buf_size,
				       gboolean std_format,
				       gboolean save_pages,
				       guint data_buf_size)
{
	_BurgnerScsiSpcImplModeSelect10Cdb *impl;

	g_return_if_fail (buf != NULL);
	g_return_if_fail (buf_size >= BURGNER_SCSI_MODE_SELECT_10_CDB_SIZE);
	g_return_if_fail ((data_buf_size & ~0xffff) == 0);

	impl = (_BurgnerScsiSpcImplModeSelect10Cdb *) buf;
	memset (impl, 0, BURGNER_SCSI_MODE_SELECT_10_CDB_SIZE);

	impl->op_code = BURGNER_SCSI_MODE_SELECT_10_OP_CODE;
	impl->pf = (std_format == TRUE);
	impl->sp = (save_pages == TRUE);
	burgner_scsi_set_uint16 (impl->param_list_length, data_buf_size);
}

