/*
 * BurgnerScsiModeSense
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_MODE_SENSE_H__
#define __BURGNER_SCSI_MODE_SENSE_H__

#include <glib.h>
#include <libburgnerscsi/burgner-scsi-mode-page-utils.h>

G_BEGIN_DECLS

#define BURGNER_SCSI_MODE_SENSE_6_OP_CODE	(0x1a)
#define BURGNER_SCSI_MODE_SENSE_6_CDB_SIZE	(6)
#define BURGNER_SCSI_MODE_SENSE_10_OP_CODE	(0x5a)
#define BURGNER_SCSI_MODE_SENSE_10_CDB_SIZE	(10)

#define BURGNER_SCSI_MODE_PAGE_CODE_ALL		(0x3f)


void burgner_scsi_mode_sense_6_write_cdb (gpointer buf, guint buf_size,
					  gboolean enable_block_descriptors,
					  BurgnerScsiModePageValues values,
					  guint8 page_code,
					  guint data_buf_size);
					  
void burgner_scsi_mode_sense_10_write_cdb (gpointer buf, guint buf_size,
					   gboolean enable_block_descriptors,
					   BurgnerScsiModePageValues values,
					   guint8 page_code,
					   guint data_buf_size);

G_END_DECLS

#endif /* __BURGNER_SCSI_MODE_SENSE_H__ */
