/*
 * BurgnerScsiPrivilege - BurgnerScsiPrivilege object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_PRIVILEGE_H__
#define __BURGNER_SCSI_PRIVILEGE_H__

#include <glib-object.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_SCSI_PRIVILEGE		(burgner_scsi_privilege_get_type ())
#define BURGNER_SCSI_PRIVILEGE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_SCSI_PRIVILEGE, BurgnerScsiPrivilege))
#define BURGNER_SCSI_PRIVILEGE_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_SCSI_PRIVILEGE, BurgnerScsiPrivilegeClass))
#define BURGNER_IS_SCSI_PRIVILEGE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_SCSI_PRIVILEGE))
#define BURGNER_IS_SCSI_PRIVILEGE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_SCSI_PRIVILEGE))
#define BURGNER_SCSI_PRIVILEGE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_SCSI_PRIVILEGE, BurgnerScsiPrivilegeClass))


typedef struct _BurgnerScsiPrivilege BurgnerScsiPrivilege;
typedef struct _BurgnerScsiPrivilegeClass BurgnerScsiPrivilegeClass;

struct _BurgnerScsiPrivilegeClass {
	GObjectClass __parent_class;

};

extern const gboolean burgner_scsi_privilege_supported;

GType burgner_scsi_privilege_get_type (void)
#if __GNUC__ <= 2
	G_GNUC_CONST
#endif
	;
GQuark  burgner_scsi_privilege_error_quark (void);

#define BURGNER_SCSI_PRIVILEGE_ERROR		(burgner_scsi_privilege_error_quark ())
typedef enum {
	BURGNER_SCSI_PRIVILEGE_ERROR_WHILE_SETTING_UP,
	BURGNER_SCSI_PRIVILEGE_ERROR_WHILE_REMOVING
} BurgnerScsiPrivilegeError;

BurgnerScsiPrivilege *burgner_scsi_privilege_new (void);

gboolean burgner_scsi_privilege_init (BurgnerScsiPrivilege *privilege, GError **error);
gboolean burgner_scsi_privilege_set_up (BurgnerScsiPrivilege *privilege, GError **error);
gboolean burgner_scsi_privilege_remove (BurgnerScsiPrivilege *privilege, GError **error);

G_END_DECLS

#endif /* __BURGNER_SCSI_PRIVILEGE_H__ */
