/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_SCSI_SBC_IMPL_H__
#define __BURGNER_SCSI_SBC_IMPL_H__

#include <glib.h>
#include <libburgnerscsi/burgner-scsi-bit-field-order.h>

G_BEGIN_DECLS

typedef struct {
	guchar op_code; /* 0x1b */

#ifdef __BURGNER_SCSI_BIT_FIELDS_HTOL
	guchar res_01 : 6;
	guchar immed : 1;
#else
	guchar immed : 1;
	guchar res_01 : 6;
#endif

	guchar res_02[2];

#ifdef __BURGNER_SCSI_BIT_FIELDS_HTOL
	guchar power_conds : 4;
	guchar res_03 : 2;
	guchar loej : 1;
	guchar start : 1;
#else
	guchar start : 1;
	guchar loej : 1;
	guchar res_03 : 2;
	guchar power_conds : 4;
#endif

	guchar control;
} __attribute__((packed)) _BurgnerScsiSbcImplStartStopUnitCdb;

G_END_DECLS

#endif /* __BURGNER_SCSI_SBC_IMPL_H__ */

