/*
 * BurgnerScsiStartStopUnit
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include "burgner-scsi-sbc-impl.h"
#include "burgner-scsi-start-stop-unit.h"

void
burgner_scsi_start_unit_write_cdb (gpointer buf, guint buf_size,
				   gboolean immed,
				   gboolean load)
{
	_BurgnerScsiSbcImplStartStopUnitCdb *impl;

	g_return_if_fail (buf != NULL);
	g_return_if_fail (buf_size >= BURGNER_SCSI_START_STOP_UNIT_CDB_SIZE);

	impl = (_BurgnerScsiSbcImplStartStopUnitCdb *) buf;
	memset (impl, 0, BURGNER_SCSI_START_STOP_UNIT_CDB_SIZE);

	impl->op_code = BURGNER_SCSI_START_STOP_UNIT_OP_CODE;
	impl->immed = (immed ? 1 : 0);
	impl->loej = (load ? 1 : 0);
	impl->start = 1;
}

void
burgner_scsi_stop_unit_write_cdb (gpointer buf, guint buf_size,
				  gboolean immed,
				  gboolean eject)
{
	_BurgnerScsiSbcImplStartStopUnitCdb *impl;

	g_return_if_fail (buf != NULL);
	g_return_if_fail (buf_size >= BURGNER_SCSI_START_STOP_UNIT_CDB_SIZE);

	impl = (_BurgnerScsiSbcImplStartStopUnitCdb *) buf;
	memset (impl, 0, BURGNER_SCSI_START_STOP_UNIT_CDB_SIZE);

	impl->op_code = BURGNER_SCSI_START_STOP_UNIT_OP_CODE;
	impl->immed = (immed ? 1 : 0);
	impl->loej = (eject ? 1 : 0);
	impl->start = 0;
}

