/*
 * BurgnerScsiStartUnitStage - BurgnerScsiStartUnitStage object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_START_UNIT_STAGE_H__
#define __BURGNER_SCSI_START_UNIT_STAGE_H__

#include <glib-object.h>
#include <libburgnerscsi/burgner-scsi-send-command-stage.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_SCSI_START_UNIT_STAGE		(burgner_scsi_start_unit_stage_get_type ())
#define BURGNER_SCSI_START_UNIT_STAGE(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_SCSI_START_UNIT_STAGE, BurgnerScsiStartUnitStage))
#define BURGNER_SCSI_START_UNIT_STAGE_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_SCSI_START_UNIT_STAGE, BurgnerScsiStartUnitStageClass))
#define BURGNER_IS_SCSI_START_UNIT_STAGE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_SCSI_START_UNIT_STAGE))
#define BURGNER_IS_SCSI_START_UNIT_STAGE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_SCSI_START_UNIT_STAGE))
#define BURGNER_SCSI_START_UNIT_STAGE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_SCSI_START_UNIT_STAGE, BurgnerScsiStartUnitStageClass))


typedef struct _BurgnerScsiStartUnitStage BurgnerScsiStartUnitStage;
typedef struct _BurgnerScsiStartUnitStageClass BurgnerScsiStartUnitStageClass;

struct _BurgnerScsiStartUnitStage {
	BurgnerScsiSendCommandStage __parent;

	guint immed : 1;
	guint load : 1;
};

struct _BurgnerScsiStartUnitStageClass {
	BurgnerScsiSendCommandStageClass __parent_class;

};


GType burgner_scsi_start_unit_stage_get_type (void) G_GNUC_CONST;
GQuark  burgner_scsi_start_unit_stage_error_quark (void);

#define BURGNER_SCSI_START_UNIT_STAGE_ERROR		(burgner_scsi_start_unit_stage_error_quark ())


BurgnerScsiStage *burgner_scsi_start_unit_stage_new (void);

G_END_DECLS

#endif /* __BURGNER_SCSI_START_UNIT_STAGE_H__ */

