/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-scsi-i18n.h"

#include "burgner-scsi-status-code.h"


const gchar *
burgner_scsi_status_code_to_string (gint status_code)
{
	const gchar *ret = NULL;
	
	switch (status_code) {
		case BURGNER_SCSI_STATUS_CODE_GOOD:
			ret = _("Good");
			break;
		case BURGNER_SCSI_STATUS_CODE_CHECK_CONDITION:
			ret = _("Check Condition");
			break;
		case BURGNER_SCSI_STATUS_CODE_CONDITION_MET:
			ret = _("Condition met");
			break;
		case BURGNER_SCSI_STATUS_CODE_BUSY:
			ret = _("Busy");
			break;
		case BURGNER_SCSI_STATUS_CODE_INTERMEDIATE:
			ret = _("Intermediate Good");
			break;
		case BURGNER_SCSI_STATUS_CODE_INTERMEDIATE_CONDITION_MET:
			ret = _("Intermediate Condition met");
			break;
		case BURGNER_SCSI_STATUS_CODE_RESERVATION_CONFLICT:
			ret = _("Reservation Conflict");
			break;
		case BURGNER_SCSI_STATUS_CODE_COMMAND_TERMINATED:
			ret = _("Command Terminated");
			break;
		case BURGNER_SCSI_STATUS_CODE_TASK_SET_FULL:
			ret = _("Task Set Full");
			break;
		case BURGNER_SCSI_STATUS_CODE_ACA_ACTIVE:
			ret = _("ACA Active");
			break;
		default:
			g_return_val_if_reached (NULL);
			break;
	}

	return ret;
}

