/*
 * 
 *
 * This file is part of the libburgnermmc library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_SCSI_STATUS_H__
#define __BURGNER_SCSI_STATUS_H__

#include <glib.h>

G_BEGIN_DECLS

enum {
	BURGNER_SCSI_STATUS_CODE_GOOD = 0,
	BURGNER_SCSI_STATUS_CODE_CHECK_CONDITION = 0x2,
	BURGNER_SCSI_STATUS_CODE_CONDITION_MET = 0x4,
	BURGNER_SCSI_STATUS_CODE_BUSY = 0x8,
	BURGNER_SCSI_STATUS_CODE_INTERMEDIATE = 0x10,
	BURGNER_SCSI_STATUS_CODE_INTERMEDIATE_CONDITION_MET = 0x14,
	BURGNER_SCSI_STATUS_CODE_RESERVATION_CONFLICT = 0x18,
	BURGNER_SCSI_STATUS_CODE_COMMAND_TERMINATED = 0x22,
	BURGNER_SCSI_STATUS_CODE_TASK_SET_FULL = 0x28,
	BURGNER_SCSI_STATUS_CODE_ACA_ACTIVE = 0x30
};

const gchar *burgner_scsi_status_code_to_string (gint status_code);

G_END_DECLS

#endif /* __BURGNER_SCSI_STATUS_H__ */

