/*
 * BurgnerScsiTestUnitReadyStage - BurgnerScsiTestUnitReadyStage object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib-object.h>
#include "burgner-scsi-test-unit-ready.h"
#include "burgner-scsi-test-unit-ready-stage.h"


static BurgnerScsiSendCommandStageClass *parent_class = NULL;

static void
_burgner_scsi_test_unit_read_stage_get_command_parameters
					(BurgnerScsiSendCommandStage *sc_stage,
					 guchar *cdb_buf, guint cdb_buf_size,
					 BurgnerScsiDirection *direction,
					 guchar **data_buf, guint *data_buf_size,
					 guint *timeout)
{
	g_return_if_fail (cdb_buf_size >= BURGNER_SCSI_TEST_UNIT_READY_CDB_SIZE);

	burgner_scsi_test_unit_ready_write_cdb (cdb_buf, cdb_buf_size);

	*direction = BURGNER_SCSI_DIRECTION_NONE;
	*data_buf = NULL;
	*data_buf_size = 0;
	*timeout = 10;
}

static void
_burgner_scsi_test_unit_ready_stage_class_init (BurgnerScsiTestUnitReadyStageClass *klass)
{
	BurgnerScsiSendCommandStageClass *sc_class;

	sc_class = (BurgnerScsiSendCommandStageClass *) klass;
	sc_class->get_command_parameters = _burgner_scsi_test_unit_read_stage_get_command_parameters;

	parent_class = g_type_class_peek_parent (klass);
}

GType
burgner_scsi_test_unit_ready_stage_get_type (void)
{
	static GType type = 0;

	if (type == 0) {
		static GTypeInfo info = {
			sizeof (BurgnerScsiTestUnitReadyStageClass),
			NULL,
			NULL,
			(GClassInitFunc) _burgner_scsi_test_unit_ready_stage_class_init,
			NULL,
			NULL,
			sizeof (BurgnerScsiTestUnitReadyStage),
			0,
			NULL,
		};

		type = g_type_register_static (BURGNER_TYPE_SCSI_SEND_COMMAND_STAGE, "BurgnerScsiTestUnitReadyStage", &info, 0);
	}

	return type;
}

BurgnerScsiStage *
burgner_scsi_test_unit_ready_stage_new (void)
{
	BurgnerScsiTestUnitReadyStage *self;

	self = g_object_new (BURGNER_TYPE_SCSI_TEST_UNIT_READY_STAGE, NULL);


	return BURGNER_SCSI_STAGE (self);
}


GQuark
burgner_scsi_test_unit_ready_stage_error_quark (void)
{
	return g_quark_from_string ("BurgnerScsiTestUnitReadyStage");
}

