/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include "burgner-scsi-utils.h"

void
burgner_scsi_set_uint16 (guchar *p, guint16 v)
{
	g_return_if_fail (p != NULL);
#if (G_BYTE_ORDER != G_BIG_ENDIAN)
	v = GUINT16_TO_BE (v);
#endif
	memcpy (p, &v, 2);
}

void
burgner_scsi_set_uint32 (guchar *p, guint32 v)
{
	g_return_if_fail (p != NULL);
#if (G_BYTE_ORDER != G_BIG_ENDIAN)
	v = GUINT32_TO_BE (v);
#endif
	memcpy (p, &v, 4);
}

guint16
burgner_scsi_get_uint16 (guchar *p)
{
	guint16 r = 0;
	g_return_val_if_fail (p != NULL, 0);
	r = *((guint16 *) p);

#if (G_BYTE_ORDER != G_BIG_ENDIAN)
	r = GUINT16_TO_BE (r);
#endif

	return r;
}

guint32
burgner_scsi_get_uint32 (guchar *p)
{
	guint32 r = 0;
	g_return_val_if_fail (p != NULL, 0);
	r = *((guint32 *) p);

#if (G_BYTE_ORDER != G_BIG_ENDIAN)
	r = GUINT32_TO_BE (r);
#endif

	return r;
}

