/*
 * BurgnerScsiLinuxCdromDevice - BurgnerScsiLinuxCdromDevice object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_LINUX_CDROM_DEVICE_H__
#define __BURGNER_SCSI_LINUX_CDROM_DEVICE_H__

#include <glib-object.h>
#include <libburgnerscsi/burgner-scsi-linux-device.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE		(burgner_scsi_linux_cdrom_device_get_type ())
#define BURGNER_SCSI_LINUX_CDROM_DEVICE(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE, BurgnerScsiLinuxCdromDevice))
#define BURGNER_SCSI_LINUX_CDROM_DEVICE_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE, BurgnerScsiLinuxCdromDeviceClass))
#define BURGNER_IS_SCSI_LINUX_CDROM_DEVICE(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE))
#define BURGNER_IS_SCSI_LINUX_CDROM_DEVICE_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE))
#define BURGNER_SCSI_LINUX_CDROM_DEVICE_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_SCSI_LINUX_CDROM_DEVICE, BurgnerScsiLinuxCdromDeviceClass))


typedef struct _BurgnerScsiLinuxCdromDevice BurgnerScsiLinuxCdromDevice;
typedef struct _BurgnerScsiLinuxCdromDeviceClass BurgnerScsiLinuxCdromDeviceClass;

struct _BurgnerScsiLinuxCdromDevice {
	BurgnerScsiLinuxDevice __parent;

};

struct _BurgnerScsiLinuxCdromDeviceClass {
	BurgnerScsiLinuxDeviceClass __parent_class;

};


GType burgner_scsi_linux_cdrom_device_get_type (void) G_GNUC_CONST;
GQuark  burgner_scsi_linux_cdrom_device_error_quark (void) G_GNUC_CONST;

#define BURGNER_SCSI_LINUX_CDROM_DEVICE_ERROR		(burgner_scsi_linux_cdrom_device_error_quark ())


BurgnerScsiDevice *burgner_scsi_linux_cdrom_device_new (void);

G_END_DECLS

#endif /* __BURGNER_SCSI_LINUX_CDROM_DEVICE_H__ */

