/*
 * BurgnerScsiLinuxScsi3Driver - BurgnerScsiLinuxScsi3Driver object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_SCSI_LINUX_SCSI_3_DRIVER_H__
#define __BURGNER_SCSI_LINUX_SCSI_3_DRIVER_H__

#include <glib-object.h>
#include <libburgnerscsi/burgner-scsi-linux-driver.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER		(burgner_scsi_linux_scsi_3_driver_get_type ())
#define BURGNER_SCSI_LINUX_SCSI_3_DRIVER(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER, BurgnerScsiLinuxScsi3Driver))
#define BURGNER_SCSI_LINUX_SCSI_3_DRIVER_CLASS(k)	(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER, BurgnerScsiLinuxScsi3DriverClass))
#define BURGNER_IS_SCSI_LINUX_SCSI_3_DRIVER(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER))
#define BURGNER_IS_SCSI_LINUX_SCSI_3_DRIVER_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER))
#define BURGNER_SCSI_LINUX_SCSI_3_DRIVER_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_SCSI_LINUX_SCSI_3_DRIVER, BurgnerScsiLinuxScsi3DriverClass))


typedef struct _BurgnerScsiLinuxScsi3Driver BurgnerScsiLinuxScsi3Driver;
typedef struct _BurgnerScsiLinuxScsi3DriverClass BurgnerScsiLinuxScsi3DriverClass;

struct _BurgnerScsiLinuxScsi3Driver {
	BurgnerScsiLinuxDriver __parent;

};

struct _BurgnerScsiLinuxScsi3DriverClass {
	BurgnerScsiLinuxDriverClass __parent_class;

};


GType burgner_scsi_linux_scsi_3_driver_get_type (void) G_GNUC_CONST;
GQuark  burgner_scsi_linux_scsi_3_driver_error_quark (void) G_GNUC_CONST;

#define BURGNER_SCSI_LINUX_SCSI_3_DRIVER_ERROR		(burgner_scsi_linux_scsi_3_driver_error_quark ())


BurgnerScsiDriver *burgner_scsi_linux_scsi_3_driver_new (void);

G_END_DECLS

#endif /* __BURGNER_SCSI_LINUX_SCSI_3_DRIVER_H__ */

