/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __SG_ERR_H__
#define __SG_ERR_H__

#ifdef __cplusplus
extern "C" {
#endif

#define SG_ERR_DID_OK		(0x0)
#define SG_ERR_DID_NO_CONNECT	(0x1)
#define SG_ERR_DID_BUS_BUSY	(0x2)
#define SG_ERR_DID_TIME_OUT	(0x3)
#define SG_ERR_DID_BAD_TARGET	(0x4)
#define SG_ERR_DID_ABORT	(0x5)
#define SG_ERR_DID_PARITY	(0x6)
#define SG_ERR_DID_ERROR	(0x7)
#define SG_ERR_DID_RESET	(0x8)
#define SG_ERR_DID_BAD_INTR	(0x9)
#define SG_ERR_DID_PASSTHROUGH	(0xa)
#define SG_ERR_DID_SOFT_ERROR	(0xb)

#define SG_ERR_DRIVER_OK	(0x0)
#define SG_ERR_DRIVER_BUSY	(0x1)
#define SG_ERR_DRIVER_SOFT	(0x2)
#define SG_ERR_DRIVER_MEDIA	(0x3)
#define SG_ERR_DRIVER_ERROR	(0x4)
#define SG_ERR_DRIVER_INVALID	(0x5)
#define SG_ERR_DRIVER_TIMEOUT	(0x6)
#define SG_ERR_DRIVER_HARD	(0x7)
#define SG_ERR_DRIVER_SENSE	(0x8)

#define SG_ERR_SUGGEST_RETRY	(0x10)
#define SG_ERR_SUGGEST_ABORT	(0x20)
#define SG_ERR_SUGGEST_REMAP	(0x30)
#define SG_ERR_SUGGEST_DIE	(0x40)
#define SG_ERR_SUGGEST_SENSE	(0x80)

#ifdef __cplusplus
}
#endif

#endif /* __SG_ERR_H__ */

