/*
 * BurgnerFifoFdWriter - BurgnerFifoFdWriter object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_FIFO_FD_WRITER_H__
#define __BURGNER_FIFO_FD_WRITER_H__

#include <glib-object.h>
#include <libburgnerutils/burgner-fifo.h>
#include <libburgnerutils/burgner-fifo-writer.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_FIFO_FD_WRITER		(burgner_fifo_fd_writer_get_type ())
#define BURGNER_FIFO_FD_WRITER(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_FIFO_FD_WRITER, BurgnerFifoFdWriter))
#define BURGNER_FIFO_FD_WRITER_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_FIFO_FD_WRITER, BurgnerFifoFdWriterClass))
#define BURGNER_IS_FIFO_FD_WRITER(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_FIFO_FD_WRITER))
#define BURGNER_IS_FIFO_FD_WRITER_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_FIFO_FD_WRITER))
#define BURGNER_FIFO_FD_WRITER_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_FIFO_FD_WRITER, BurgnerFifoFdWriterClass))


typedef struct _BurgnerFifoFdWriter BurgnerFifoFdWriter;
typedef struct _BurgnerFifoFdWriterClass BurgnerFifoFdWriterClass;

struct _BurgnerFifoFdWriter {
	GObject __parent;

	BurgnerFifo *fifo;

	gint fd;
	GIOChannel *channel;
	guint watch_id;

	guint32 size;
	guint32 remaining;

	guint idle_id;

	guint error : 1;
};

struct _BurgnerFifoFdWriterClass {
	GObjectClass __parent_class;

	/*
	 * Signals
	 */
	void (* error)(BurgnerFifoFdWriter *fd_writer,
		       int error_no);
};


GType burgner_fifo_fd_writer_get_type (void) G_GNUC_CONST;
GQuark  burgner_fifo_fd_writer_error_quark (void) G_GNUC_CONST;

#define BURGNER_FIFO_FD_WRITER_ERROR		(burgner_fifo_fd_writer_error_quark ())


BurgnerFifoWriter *burgner_fifo_fd_writer_new (void);

G_END_DECLS

#endif /* __BURGNER_FIFO_FD_WRITER_H__ */

