/*
 * BurgnerFifoFilter - BurgnerFifoFilter object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_FIFO_FILTER_H__
#define __BURGNER_FIFO_FILTER_H__

#include <glib-object.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_FIFO_FILTER		(burgner_fifo_filter_get_type ())
#define BURGNER_FIFO_FILTER(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_FIFO_FILTER, BurgnerFifoFilter))
#define BURGNER_FIFO_FILTER_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_FIFO_FILTER, BurgnerFifoFilterClass))
#define BURGNER_IS_FIFO_FILTER(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_FIFO_FILTER))
#define BURGNER_IS_FIFO_FILTER_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_FIFO_FILTER))
#define BURGNER_FIFO_FILTER_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_FIFO_FILTER, BurgnerFifoFilterClass))


typedef struct _BurgnerFifoFilter BurgnerFifoFilter;
typedef struct _BurgnerFifoFilterClass BurgnerFifoFilterClass;

struct _BurgnerFifoFilter {
	GObject __parent;

};

struct _BurgnerFifoFilterClass {
	GObjectClass __parent_class;

	/*
	 * Virtual Functions
	 */
	void (* begin)(BurgnerFifoFilter *filter);
	void (* filter)(BurgnerFifoFilter *filter, gpointer buf, guint32 buf_size);
	void (* end)(BurgnerFifoFilter *filter);
};


GType burgner_fifo_filter_get_type (void) G_GNUC_CONST;
GQuark  burgner_fifo_filter_error_quark (void) G_GNUC_CONST;

#define BURGNER_FIFO_FILTER_ERROR		(burgner_fifo_filter_error_quark ())

void burgner_fifo_filter_begin (BurgnerFifoFilter *filter);
void burgner_fifo_filter_filter (BurgnerFifoFilter *filter, gpointer buf, guint32 buf_size);
void burgner_fifo_filter_end (BurgnerFifoFilter *filter);

G_END_DECLS

#endif /* __BURGNER_FIFO_FILTER_H__ */

