/*
 * BurgnerFifoGnomeVfsWriter - BurgnerFifoGnomeVfsWriter object
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_FIFO_GNOME_VFS_WRITER_H__
#define __BURGNER_FIFO_GNOME_VFS_WRITER_H__

#include <glib-object.h>
#include <libgnomevfs/gnome-vfs.h>
#include <libburgnerutils/burgner-fifo.h>
#include <libburgnerutils/burgner-fifo-writer.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_FIFO_GNOME_VFS_WRITER		(burgner_fifo_gnome_vfs_writer_get_type ())
#define BURGNER_FIFO_GNOME_VFS_WRITER(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_FIFO_GNOME_VFS_WRITER, BurgnerFifoGnomeVfsWriter))
#define BURGNER_FIFO_GNOME_VFS_WRITER_CLASS(k)		(G_TYPE_CHECK_CLASS_CAST ((k), BURGNER_TYPE_FIFO_GNOME_VFS_WRITER, BurgnerFifoGnomeVfsWriterClass))
#define BURGNER_IS_FIFO_GNOME_VFS_WRITER(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_FIFO_GNOME_VFS_WRITER))
#define BURGNER_IS_FIFO_GNOME_VFS_WRITER_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), BURGNER_TYPE_FIFO_GNOME_VFS_WRITER))
#define BURGNER_FIFO_GNOME_VFS_WRITER_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), BURGNER_TYPE_FIFO_GNOME_VFS_WRITER, BurgnerFifoGnomeVfsWriterClass))


typedef struct _BurgnerFifoGnomeVfsWriter BurgnerFifoGnomeVfsWriter;
typedef struct _BurgnerFifoGnomeVfsWriterClass BurgnerFifoGnomeVfsWriterClass;

struct _BurgnerFifoGnomeVfsWriter {
	GObject __parent;

	BurgnerFifo *fifo;
	GnomeVFSAsyncHandle *handle;
	guint reading : 1;
	guint error : 1;
};

struct _BurgnerFifoGnomeVfsWriterClass {
	GObjectClass __parent_class;

	/*
	 * Signals
	 */
	void (* error)(BurgnerFifoGnomeVfsWriter *self,
		       GnomeVFSResult result);
};


GType burgner_fifo_gnome_vfs_writer_get_type (void) G_GNUC_CONST;
GQuark  burgner_fifo_gnome_vfs_writer_error_quark (void) G_GNUC_CONST;

#define BURGNER_FIFO_GNOME_VFS_WRITER_ERROR		(burgner_fifo_gnome_vfs_writer_error_quark ())


BurgnerFifoWriter *burgner_fifo_gnome_vfs_writer_new (void);

G_END_DECLS

#endif /* __BURGNER_FIFO_GNOME_VFS_WRITER_H__ */

