/*
 * BurgnerFifoWriter - BurgnerFifoWriter iface
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-fifo-writer.h"


GType
burgner_fifo_writer_get_type (void)
{
	static GType type = 0;

	if (type == 0) {
		GTypeInfo info = {
			sizeof (BurgnerFifoWriterIface),
			(GBaseInitFunc) NULL,
			(GBaseFinalizeFunc) NULL,
			
		};

		type = g_type_register_static (G_TYPE_INTERFACE, "BurgnerFifoWriter", &info, 0);
	}

	return type;
}

void
burgner_fifo_writer_to_write (BurgnerFifoWriter *writer,
		    BurgnerFifo *fifo,
		    guchar *to_write,
		    guint size)
{
	BurgnerFifoWriterIface *iface;

	g_return_if_fail (writer != NULL);
	g_return_if_fail (BURGNER_IS_FIFO_WRITER (writer));
	g_return_if_fail (fifo != NULL);
	g_return_if_fail (BURGNER_IS_FIFO (fifo));

	iface = BURGNER_FIFO_WRITER_GET_IFACE (writer);
	g_return_if_fail (iface != NULL);

	if (iface->to_write)
		iface->to_write (writer, fifo, to_write, size);
}

