/*
 * BurgnerFifoWriter - BurgnerFifoWriter iface
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __BURGNER_FIFO_WRITER_H__
#define __BURGNER_FIFO_WRITER_H__

#include <glib-object.h>
#include <libburgnerutils/burgner-fifo.h>

G_BEGIN_DECLS


#define BURGNER_TYPE_FIFO_WRITER		(burgner_fifo_writer_get_type ())
#define BURGNER_IS_FIFO_WRITER(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), BURGNER_TYPE_FIFO_WRITER))
#define BURGNER_FIFO_WRITER(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), BURGNER_TYPE_FIFO_WRITER, BurgnerFifoWriter))
#define BURGNER_FIFO_WRITER_GET_IFACE(o)	(G_TYPE_INSTANCE_GET_INTERFACE ((o), BURGNER_TYPE_FIFO_WRITER, BurgnerFifoWriterIface))


typedef struct _BurgnerFifoWriterIface BurgnerFifoWriterIface;

struct _BurgnerFifoWriterIface {
	GTypeInterface __parent;

	void (* to_write)(BurgnerFifoWriter *writer,
			  BurgnerFifo *fifo,
			  guchar *to_write,
			  guint size);
};


GType burgner_fifo_writer_get_type (void)
#if __GNUC__ <= 2
	G_GNUC_CONST
#endif
	;

void burgner_fifo_writer_to_write (BurgnerFifoWriter *writer,
				   BurgnerFifo *fifo,
				   guchar *to_write,
				   guint size);


G_END_DECLS

#endif /* __BURGNER_FIFO_WRITER_H__ */

