/*
 * 
 *
 * This file is part of the libburgnerutils library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "burgner-g-list-utils.h"


GList *
g_list_insert_list_before (GList *list, GList *sibling, GList *to_insert)
{
	g_return_val_if_fail (g_list_position (list, sibling) >= 0, NULL);

	if (!to_insert)
		return list;

	if (!list)
		return to_insert;

	if (sibling->prev) {
		sibling->prev->next = to_insert;
		to_insert->prev = sibling->prev;
	} else {
		g_assert (list == sibling);
	}

	sibling->prev = g_list_last (to_insert);
	sibling->prev->next = sibling;

	return sibling == list ? to_insert : list;
}

