/*
 * 
 *
 * This file is part of the libburgnerutils library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_MATH_H__
#define __BURGNER_MATH_H__

#include <glib.h>

G_BEGIN_DECLS

typedef guint (* BurgnerMathGetNumFunc)(gpointer data, gpointer user_data);

GList *burgner_math_get_nearest_sum_sort_list (GList *list, BurgnerMathGetNumFunc get_num_func, gpointer get_num_func_data);

guint burgner_math_get_nearest_sum (GList *list, guint total,
				    BurgnerMathGetNumFunc get_num_func,
				    gpointer get_num_func_data,
				    GList **sum_list);

G_END_DECLS

#endif /* __BURGNER_MATH_H__ */

