/*
 * 
 *
 * This file is part of the libburgnerutils library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_WAV_IMPL_H__
#define __BURGNER_WAV_IMPL_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct {
	guchar id[4];
	guchar size[4];
} __attribute__((packed)) _BurgnerWavImplHeader;

typedef struct {
	guchar wave[4];
} __attribute__((packed)) _BurgnerWavImplRiffData;

typedef struct {
	gchar fmt_tag[2];
	guchar channels[2];
	guchar sample_rate[4];
	guchar bytes_per_seconds[4];
	guchar block_align[2];
	guchar bits_per_sample[2];
} __attribute__((packed)) _BurgnerWavImplFmtData;

G_END_DECLS

#endif /* __BURGNER_WAV_IMPL_H__ */

