/*
 * 
 *
 * This file is part of the libburgnerutils library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_WAV_H__
#define __BURGNER_WAV_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_WAV_ERROR	(burgner_wav_error_quark ())
GQuark burgner_wav_error_quark (void);

typedef enum {
	BURGNER_WAV_ERROR_BAD_HEADER,
	BURGNER_WAV_ERROR_INCOMPLETE_HEADER
} BurgnerWavError;

gboolean burgner_wav_setup_channel (GIOChannel *channel,
				    guint32 stat_size,
				    guint *channels,
				    guint *sample_rate,
				    guint *bits_per_sample,
				    guint32 *data_size,
				    guint32 *data_offset,
				    GError **error);

G_END_DECLS

#endif /* __BURGNER_WAV_H__ */

