/*
 * 
 *
 * This file is part of the libburgnerscsi library.
 *
 * Copyright (c) 2002 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __G_MALLOC_SAVER_H__
#define __G_MALLOC_SAVER_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct {
	gulong chunk_size;

	GSList *chunks;
	gint max_chunks;

	guint refcount;

	guint do_0 : 1;
} GMallocSaver;


GMallocSaver *g_malloc_saver_new (gulong chunk_size,
				  gint max_chunks,
				  gboolean do_0);
void g_malloc_saver_free (GMallocSaver *saver);

GMallocSaver *g_malloc_saver_ref (GMallocSaver *saver);
void g_malloc_saver_unref (GMallocSaver *saver);


gpointer g_malloc_saver_get_chunk (GMallocSaver *saver);
gpointer g_malloc_saver_try_get_chunk (GMallocSaver *saver);
gpointer g_malloc_saver_get_chunk_dont_malloc (GMallocSaver *saver);

void g_malloc_saver_take_chunk (GMallocSaver *saver,
				gpointer chunk);

gint g_malloc_saver_max_chunks_add (GMallocSaver *saver, gint n);
#define g_malloc_saver_max_chunks_subtract(s,n)	(g_malloc_saver_max_chunks_add ((s), -(n)))
gint g_malloc_saver_set_max_chunks (GMallocSaver *saver, gint max_chunks);


G_END_DECLS

#endif /* __G_MALLOC_SAVER_H__ */

