/*
 * GUri - GUri char utils
 *
 * Copyright (c) 2001 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __G_URI_CHAR_UTILS_H__
#define __G_URI_CHAR_UTILS_H__

#ifdef __cplusplus
extern "C" {
#endif


#define IS_LOWALPHA(c)			(c >= 'a' && c <= 'z')
#define IS_UPALPHA(c)			(c >= 'A' && c <= 'Z')
#define IS_DIGIT(c)			(c >= '0' && c <= '9')

#define IS_ALPHA(c)			(IS_LOWALPHA (c) || IS_UPALPHA (c))
#define IS_ALPHANUM(c)			(IS_ALPHA (c) || IS_DIGIT (c))

#define IS_HEX(c)			(IS_DIGIT (c) || (c >= 'a' && c <= 'f') \
						      || (c >= 'A' && c <= 'F'))

#define IS_MARK(c)			(c == '-' || c == '_' || c == '.' || \
					 c == '!' || c == '~' || c == '\'' || \
					 c == '(' || c == ')')

#define IS_RESERVED(c)			(c == ';' || c == '/' || c == '?' || \
					 c == ':' || c == '@' || c == '&' || \
					 c == '=' || c == '+' || c == '$' || \
					 c == ',')
#define IS_UNRESERVED(c)		(IS_ALPHANUM (c) || IS_MARK (c))
#define IS_URIC(c)			(IS_RESERVED (c) || IS_UNRESERVED (c))

#define IS_PCHAR(c)			(IS_UNRESERVED (c) || c == ':' || \
					 c == '@' || c == '&' || c == '=' || \
					 c == '+' || c == '$' || c == ',')


#ifdef __cplusplus
}
#endif

#endif /* __G_URI_CHAR_UTILS_H__ */
