/*
 * GUri Resolver
 *
 * Copyright (c) 2001 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */


#ifndef __G_URI_RESOLVER_H__
#define __G_URI_RESOLVER_H__

#include <glib.h>
#include <libburgnerutils/g-uri.h>

G_BEGIN_DECLS


/*
 * Steps match RFC 2396 section 5.2. ones.
 */

gboolean _g_uri_relative_resolver_step_2 (GUri *e, const GUri *base);
gboolean _g_uri_relative_resolver_step_3 (GUri *e, const GUri *base);
gboolean _g_uri_relative_resolver_step_4 (GUri *e, const GUri *base);
gboolean _g_uri_relative_resolver_step_5 (GUri *e, const GUri *base);
gboolean _g_uri_relative_resolver_step_6 (GUri *e, const GUri *base);


G_END_DECLS

#endif /* __G_URI_RESOLVER_H__ */
