/*
 * 
 *
 * This file is part of the root library.
 *
 * Copyright (c) 2003 Alexandre Archambault
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *	Alexandre Archambault <aarchambault@free.fr>
 */

#ifndef __BURGNER_CDRECORD_ERROR_H__
#define __BURGNER_CDRECORD_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS

#define BURGNER_CDRECORD_ERROR		(burgner_cdrecord_error_quark ())
GQuark burgner_cdrecord_error_quark (void) G_GNUC_CONST;

typedef enum {
	BURGNER_CDRECORD_ERROR_NOT_A_CDROM_DRIVE,
	BURGNER_CDRECORD_ERROR_NOT_A_CDR_WRITER,
	BURGNER_CDRECORD_ERROR_NOT_A_CDRW_WRITER,
	BURGNER_CDRECORD_ERROR_DEVICE_CANT_TEST_WRITE,
	BURGNER_CDRECORD_ERROR_DEVICE_CANT_EJECT_DISC,
	BURGNER_CDRECORD_ERROR_DISC_COMPLETE,
	BURGNER_CDRECORD_ERROR_BAD_DISC_TYPE,
	BURGNER_CDRECORD_ERROR_OPENING_FILE,
	BURGNER_CDRECORD_ERROR_SEEKING_FILE
} BurgnerCdrecordError;

G_END_DECLS

#endif /* __BURGNER_CDRECORD_ERROR_H__ */

